GNU bug report logs - #47539
[PATCH 00/28] Add gh and dependencies

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Xinglu Chen <public@HIDDEN>; Keywords: patch; dated Thu, 1 Apr 2021 07:52:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 19 Apr 2021 13:24:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 19 09:24:14 2021
Received: from localhost ([127.0.0.1]:48798 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYTss-0007ev-CY
	for submit <at> debbugs.gnu.org; Mon, 19 Apr 2021 09:24:14 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54944
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lYTsq-0007ef-C8
 for 47539 <at> debbugs.gnu.org; Mon, 19 Apr 2021 09:24:13 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1618838644;
 bh=TvryJPo9hIaLpD1AJF+ZtDwVWZUxZ+5mMp5yWcTYSVY=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=fn5rH/nO6fnCVQZGo3l8Eav3vCsSz97E/0BnKfGC7eypsPDDUO39a5YqVsyKk30C2
 zg/vdyGQozh0Y94NlpajXCbJLq/s0rSLdhrYLctPzkmfUmApJHeBwruNWmD/hLL0ho
 rYmi/Dqa/9iyS67MtqxJfJWJsgs9pIUoR8KEM0Wk=
To: 47539 <at> debbugs.gnu.org
Subject: Re: [bug#47539] [PATCH v2 00/26] Add github-cli and dependencies
In-Reply-To: <cover.1617301221.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
 <cover.1617301221.git.public@HIDDEN>
Date: Mon, 19 Apr 2021 15:24:03 +0200
Message-ID: <87im4ie7bg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.4 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Friendly ping! :) 
 Content analysis details:   (2.4 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 47539
Cc: Leo Prikler <leo.prikler@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.4 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Friendly ping! :) 
 
 Content analysis details:   (2.4 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.0 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Friendly ping! :)




Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 18:31:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 14:31:54 2021
Received: from localhost ([127.0.0.1]:58628 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS26j-0008Cy-TS
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:54 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:39266
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lS26d-0008BA-Vw
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:52 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617301902;
 bh=UX7wezTkZFw8JxH6opCvcPm5PJ/9N0/w2xFyZkTNA10=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=mLth8GVmzvuCFN70zNVnyMvH7ABg8k+2UCeavGSXskCAAOXtSo4qmXx+a6MLbGymK
 0j4h1y19wfPvOfERVU/U0+3URW3TzXgmvrAs0PgRDcaP2CR+YFeSdtbdcTvS34rXf8
 pWiyRqrqxBxQrxZIxZXJ1jA8TxCVhVwk7/lYKgm0=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH v2 16/26] gnu: Add go-github-com-henvic-httpretty.
In-Reply-To: <cover.1617301221.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <d1d7a1c746fe84d0064e75af1749833b0c8f498a.1617301221.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 20:31:42 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 3.3 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm (go-github-com-henvic-httpretty):
 New variable. --- gnu/packages/golang.scm | 23 +++++++++++++++++++++++ 1
 file changed,
 23 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index e8712b22d5..0234522408 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7463,3 +7463,26 @@ based on magic num [...] 
 Content analysis details:   (3.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 T_SPF_TEMPERROR        SPF: test of record failed (temperror)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 KHOP_HELO_FCRDNS       Relay HELO differs from its IP's reverse DNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-henvic-httpretty):
    New variable. --- gnu/packages/golang.scm | 23 +++++++++++++++++++++++ 1
   file changed, 23 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index e8712b22d5..0234522408 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7463,3 +7463,26 @@ based on magic num [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

* gnu/packages/golang.scm (go-github-com-henvic-httpretty): New variable.
---
 gnu/packages/golang.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index e8712b22d5..0234522408 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7463,3 +7463,26 @@ based on magic numbers.  Features include
 shell-style quoting, commenting, and escaping.")
     (license license:asl2.0)))
 
+(define-public go-github-com-henvic-httpretty
+  (package
+    (name "go-github-com-henvic-httpretty")
+    (version "0.0.6")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/henvic/httpretty.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "1jbnj1x8wribayx65ssxigs9p88pi0cxg36h8qhqvqz1pqiygksa"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/henvic/httpretty"))
+    (home-page "https://github.com/henvic/httpretty")
+    (synopsis "Print the HTTP requests you make on your terminal")
+    (description "This packages prints the HTTP requests you make with Go
+pretty on your terminal.")
+    (license license:expat)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 18:31:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 14:31:52 2021
Received: from localhost ([127.0.0.1]:58626 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS26i-0008Cp-DO
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:52 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:39278
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lS26g-0008Bc-Fy
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:51 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617301904;
 bh=tBCFN5Ce/WW+PCggpKsrpvC0O/OvbMwmq8EYHT3mdOw=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=EK5OP3GZ/UscEH/J7v+ZGk6SBB/BIYiwhRgBJa2qXv2GOu456+AmgTMmrb8K9l4oD
 XpeAXiM2sVRB3UE3DiuPfqn51/HmvUzRdcVaFldnsaOlGZplzx0SJRoyjdrNa8rGjj
 bGWUDixKhYdbtuRI+6tE1lG/Q/V7H2wEFg7TrInM=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH v2 26/26] gnu: Add github-cli.
In-Reply-To: <cover.1617301221.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <e760d13298c7334879103c4724e65cbb8357642a.1617301221.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 20:31:44 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/version-control.scm (github-cli): New
 variable.
 --- gnu/packages/version-control.scm | 145 +++++++++++++++++++++++++++++++
 1 file changed, 145 insertions(+) diff --git a/gnu/packages/version-control.scm
 b/gnu/packages/version-control.scm index e7fa6e6777..6e66897806 100644 ---
 a/gnu/packages/version-control.scm +++ b/gnu/packages/version-control.scm
 @@ -1 [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/version-control.scm (github-cli): New variable.
    --- gnu/packages/version-control.scm | 145 +++++++++++++++++++++++++++++++
    1 file changed, 145 insertions(+) diff --git a/gnu/packages/version-control.scm
    b/gnu/packages/version-control.scm index e7fa6e6777..6e66897806 100644 ---
    a/gnu/packages/version-control.scm +++ b/gnu/packages/version-control.scm
    @@ -1 [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

* gnu/packages/version-control.scm (github-cli): New variable.
---
 gnu/packages/version-control.scm | 145 +++++++++++++++++++++++++++++++
 1 file changed, 145 insertions(+)

diff --git a/gnu/packages/version-control.scm b/gnu/packages/version-control.scm
index e7fa6e6777..6e66897806 100644
--- a/gnu/packages/version-control.scm
+++ b/gnu/packages/version-control.scm
@@ -118,6 +118,7 @@
   #:use-module (gnu packages sdl)
   #:use-module (gnu packages swig)
   #:use-module (gnu packages sync)
+  #:use-module ((gnu packages syncthing) #:select (go-github-com-kballard-go-shellquote))
   #:use-module (gnu packages tcl)
   #:use-module (gnu packages textutils)
   #:use-module (gnu packages time)
@@ -3021,6 +3022,150 @@ commit message side by side
 If several repos are related, it helps to see their status together.")
       (license license:expat))))
 
+(define-public github-cli
+  (package
+    (name "github-cli")
+    (version "1.8.0")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/cli/cli.git")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "009jh1i1ji7d773ismifdw4qvwlb8s1zn14d0n84j9h3n0hyynbc"))))
+    (build-system go-build-system)
+    (arguments
+     '(#:import-path
+       "github.com/cli/cli/cmd/gh"
+       #:unpack-path
+       "github.com/cli/cli"
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'remove-safeexec
+           (lambda* (#:key outputs #:allow-other-keys)
+             (with-directory-excursion "src/github.com/cli/cli/"
+               ;; 'github.com/cli/safeexec' is only used for Windows, we
+               ;; replace it with the regular 'os/exec'.  See
+               ;; <https://issues.guix.gnu.org/47539> for discussion.
+               (substitute* '("pkg/cmd/alias/expand/expand.go"
+                              "script/build.go")
+                 (("github.com/cli/safeexec") "os/exec")
+                 (("safeexec") "exec"))
+               ;; These files have already imported 'os/exec', meaning that
+               ;; 'os/exec' would get imported twice, causing an error.
+               ;; Instead, we just remove the 'github.com/cli/safeexec'.
+               (substitute* '("cmd/gh/main.go"
+                              "git/git.go"
+                              "pkg/iostreams/iostreams.go"
+                              "pkg/cmd/auth/shared/ssh_keys.go"
+                              "pkg/cmd/pr/checkout/checkout.go"
+                              "pkg/cmdutil/web_browser.go"
+                              "pkg/surveyext/editor_manual.go")
+                 (("\"github.com/cli/safeexec\"") "")
+                 (("safeexec") "exec"))))))))
+    (native-inputs
+     `(("go-github-com-cli-shurcool-graphql"
+        ,go-github-com-cli-shurcool-graphql)
+       ("go-gopkg-in-yaml-v3" ,go-gopkg-in-yaml-v3)
+       ("go-golang-org-x-text" ,go-golang-org-x-text)
+       ("go-golang-org-x-sync" ,go-golang-org-x-sync)
+       ("go-golang-org-x-crypto"
+        ,go-golang-org-x-crypto)
+       ("go-github-com-stretchr-testify"
+        ,go-github-com-stretchr-testify)
+       ("go-github-com-spf13-pflag"
+        ,go-github-com-spf13-pflag)
+       ("go-github-com-spf13-cobra"
+        ,go-github-com-spf13-cobra)
+       ("go-github-com-shurcool-githubv4"
+        ,go-github-com-shurcool-githubv4)
+       ("go-github-com-rivo-uniseg"
+        ,go-github-com-rivo-uniseg)
+       ("go-github-com-muesli-termenv"
+        ,go-github-com-muesli-termenv)
+       ("go-github-com-mitchellh-go-homedir"
+        ,go-github-com-mitchellh-go-homedir)
+       ("go-github-com-mgutz-ansi"
+        ,go-github-com-mgutz-ansi)
+       ("go-github-com-mattn-go-runewidth"
+        ,go-github-com-mattn-go-runewidth)
+       ("go-github-com-mattn-go-isatty"
+        ,go-github-com-mattn-go-isatty)
+       ("go-github-com-mattn-go-colorable"
+        ,go-github-com-mattn-go-colorable)
+       ("go-github-com-kballard-go-shellquote"
+        ,go-github-com-kballard-go-shellquote)
+       ("go-github-com-itchyny-gojq"
+        ,go-github-com-itchyny-gojq)
+       ("go-github-com-henvic-httpretty"
+        ,go-github-com-henvic-httpretty)
+       ("go-github-com-hashicorp-go-version"
+        ,go-github-com-hashicorp-go-version)
+       ("go-github-com-google-shlex"
+        ,go-github-com-google-shlex)
+       ("go-github-com-google-go-cmp-cmp"
+        ,go-github-com-google-go-cmp-cmp)
+       ("go-github-com-gabriel-vasile-mimetype"
+        ,go-github-com-gabriel-vasile-mimetype)
+       ("go-github-com-enescakir-emoji"
+        ,go-github-com-enescakir-emoji)
+       ("go-github-com-cpuguy83-go-md2man-v2"
+        ,go-github-com-cpuguy83-go-md2man-v2)
+       ("go-github-com-cli-oauth"
+        ,go-github-com-cli-oauth)
+       ("go-github-com-cli-browser"
+        ,go-github-com-cli-browser)
+       ("go-github-com-briandowns-spinner"
+        ,go-github-com-briandowns-spinner)
+       ("go-github-com-makenowjust-heredoc"
+        ,go-github-com-makenowjust-heredoc)
+       ("go-github-com-alecaivazis-survey-v2"
+        ,go-github-com-alecaivazis-survey-v2)
+       ("go-github-com-charmbracelet-glamour"
+        ,go-github-com-charmbracelet-glamour)
+       ("go-github-com-alecthomas-chroma"
+        ,go-github-com-alecthomas-chroma)
+       ("go-github-com-google-goterm"
+        ,go-github-com-google-goterm)
+       ("go-github-com-aymerick-douceur"
+        ,go-github-com-aymerick-douceur)
+       ("go-github-com-danwakefield-fnmatch"
+        ,go-github-com-danwakefield-fnmatch)
+       ("go-github-com-chris-ramon-douceur"
+        ,go-github-com-chris-ramon-douceur)
+       ("go-github-com-gorilla-css"
+        ,go-github-com-gorilla-css)
+       ("go-golang-org-colorful"
+        ,go-golang-org-colorful)
+       ("go-golang-org-x-net"
+        ,go-golang-org-x-net)
+       ("go-github-com-muesli-reflow-ansi"
+        ,go-github-com-muesli-reflow-ansi)
+       ("go-github-com-microcosm-cc-bluemonday"
+        ,go-github-com-microcosm-cc-bluemonday)
+       ("go-github-com-muesli-reflow-wordwrap"
+        ,go-github-com-muesli-reflow-wordwrap)
+       ("go-github-com-yuin-goldmark"
+        ,go-github-com-yuin-goldmark)
+       ("go-github-com-dlclark-regexp2"
+        ,go-github-com-dlclark-regexp2)
+       ("go-github-com-muesli-reflow-indent"
+        ,go-github-com-muesli-reflow-indent)
+       ("go-github-com-muesli-reflow-padding"
+        ,go-github-com-muesli-reflow-padding)
+       ("go-github-com-olekukonko-tablewriter"
+        ,go-github-com-olekukonko-tablewriter)))
+    (home-page "https://github.com/cli/cli")
+    (synopsis "CLI interface to GitHub")
+    (description "This package provides the @command{gh} command, an interface
+to GitHub on the command line.  It brings pull requests, issues, and other
+GitHub concepts to the terminal next to where you are already working with Git
+and your code.")
+    (license license:expat)))
+
 (define-public ghq
   (package
     (name "ghq")
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 18:31:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 14:31:50 2021
Received: from localhost ([127.0.0.1]:58623 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS26g-0008CU-63
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:50 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:39272
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lS26f-0008BI-3r
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:49 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617301903;
 bh=qf1q6z25NHY7gpGlOv/jVAuzVRHTLr4n8UuqKwWFnog=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=oYgc2V0DOcoiOKc41Q4WNaZl9kMGSIOm7crLg7qWCYse7TRnXeN3mr8tHYLvgYxeG
 fo+2zzwFaIZSI2DIrc2pApF8eloyUJdstDfmf5Peo6UeG6QCVISvxVZsHl7YEo+sOe
 NloUcQpBU4NrlUg4UKhLXpTcfi8Fxp+OQalR8meI=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH v2 17/26] gnu: Add go-github-com-itchyny-go-flags.
In-Reply-To: <cover.1617301221.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <6f95c8dd6a62423192fa8e25cf25831b4a2b773a.1617301221.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 20:31:43 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm (go-github-com-itchyny-go-flags):
 New variable. --- gnu/packages/golang.scm | 33
 +++++++++++++++++++++++++++++++++ 1 file changed,
 33 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 0234522408..6707b15273 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7486,3 +7486,36 @@ shell-style quotin [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-itchyny-go-flags):
    New variable. --- gnu/packages/golang.scm | 33 +++++++++++++++++++++++++++++++++
    1 file changed, 33 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 0234522408..6707b15273 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7486,3 +7486,36 @@ shell-style quotin [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

* gnu/packages/golang.scm (go-github-com-itchyny-go-flags): New variable.
---
 gnu/packages/golang.scm | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 0234522408..6707b15273 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7486,3 +7486,36 @@ shell-style quoting, commenting, and escaping.")
 pretty on your terminal.")
     (license license:expat)))
 
+(define-public go-github-com-itchyny-go-flags
+  (package
+    (name "go-github-com-itchyny-go-flags")
+    (version "1.5.0")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/itchyny/go-flags.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "0qfh7gn95aldlsigk72jl87npmwvx15kb7df1100d6j0nbakd8b5"))))
+    (build-system go-build-system)
+    (arguments
+     '(#:import-path
+       "github.com/itchyny/go-flags"
+       ;; Unable to find man page
+       #:tests? #f))
+    (native-inputs
+      `(("go-golang-org-x-sys" ,go-golang-org-x-sys)))
+    (home-page "https://github.com/itchyny/go-flags")
+    (synopsis "Go library for parsing command line arguments")
+    (description "This library provides similar functionality to the builtin
+flag library of Go, but provides much more functionality.
+
+Package flags provides an extensive command line option parser.  The flags
+package is similar in functionality to the go builtin flag package but
+provides more options and uses reflection to provide a convenient and succinct
+way of specifying command line options.")
+    (license license:bsd-3)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 18:31:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 14:31:49 2021
Received: from localhost ([127.0.0.1]:58620 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS26e-0008CC-Vv
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:49 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:39260
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lS26d-0008Aw-5m
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:47 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617301901;
 bh=qBUEQ0101q/v6i/uCVTbM4bSC4iVVUIrRAnR+nYLCis=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=t5fw9Z0VBO8z/AV3mC+82OYzs6WvGo6qW4E/RhAG2csfRugI+cdYcjs28zMCsjHb4
 epNvIuNGMn981a8nWO4ELpHzEEcmZcn/6SsepLrpsUOSMGEDlM+kTY6bDrtPEztT0d
 Z00h0r9Zhyn1poMKdLIpBfY+jY1KeFzuNUqEIEb8=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH v2 15/26] gnu: Add go-github-com-google-shlex.
In-Reply-To: <cover.1617301221.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <c66deb9b0fe91a3917527e1afe5cb9c9de2b12c5.1617301221.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 20:31:41 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm (go-github-com-google-shlex): New
 variable. --- gnu/packages/golang.scm | 23 +++++++++++++++++++++++ 1 file
 changed, 23 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 5d05c383c6..e8712b22d5 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7440,3 +7440,26 @@ based on magic num [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-google-shlex): New
    variable. --- gnu/packages/golang.scm | 23 +++++++++++++++++++++++ 1 file
    changed, 23 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 5d05c383c6..e8712b22d5 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7440,3 +7440,26 @@ based on magic num [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

* gnu/packages/golang.scm (go-github-com-google-shlex): New variable.
---
 gnu/packages/golang.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 5d05c383c6..e8712b22d5 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7440,3 +7440,26 @@ based on magic numbers.  Features include
 @end itemize")
     (license license:expat)))
 
+(define-public go-github-com-google-shlex
+  (package
+    (name "go-github-com-google-shlex")
+    (version "0.0.0-20191202100458-e7afc7fbc510")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/google/shlex.git")
+               (commit (go-version->git-ref version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "14z8hqyik910wk2qwnzgz8mjsmiamxa0pj55ahbv0jx6j3dgvzfm"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/google/shlex"))
+    (home-page "https://github.com/google/shlex")
+    (synopsis "Simple lexer for Go")
+    (description "This library provides is a simple lexer for Go that supports
+shell-style quoting, commenting, and escaping.")
+    (license license:asl2.0)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 18:31:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 14:31:48 2021
Received: from localhost ([127.0.0.1]:58618 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS26e-0008CA-N4
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:48 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:39254
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lS26d-0008Av-1C
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:47 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617301900;
 bh=2CYQO11bixE0UEazFN+MrD8+xzr7uI2eDZGKOeTgqZ8=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=bNTenZMu8CpPI1oqA7MoLqvXLn1jvzv9SmMqR6sR+GhYVvBxn0gtQs4ZcHmeXCDD5
 pcYakV+f70WeDpxlf3E5TjPpvHTSa+QEa4tPsI2M9Qh5oFiLDg5B1HOzVdn1ReLe/d
 XkQ85Hg1Rzh5CSj0o/RZYTYvSjOPyBRtta2BmYEE=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH v2 14/26] gnu: Add go-github-com-gabriel-vasile-mimetype.
In-Reply-To: <cover.1617301221.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <4590a87c1ec7d8ce4e64befbdc54a1f52925193e.1617301221.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 20:31:39 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm
 (go-github-com-gabriel-vasile-mimetype):
 New variable. --- gnu/packages/golang.scm | 47
 +++++++++++++++++++++++++++++++++++++++++ 1 file changed,
 47 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 231f1babc6..5d05c383c6 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7393,3 +7393,50 @@ substitutions, etc [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-gabriel-vasile-mimetype):
    New variable. --- gnu/packages/golang.scm | 47 +++++++++++++++++++++++++++++++++++++++++
    1 file changed, 47 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 231f1babc6..5d05c383c6 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7393,3 +7393,50 @@ substitutions, etc [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

* gnu/packages/golang.scm (go-github-com-gabriel-vasile-mimetype): New variable.
---
 gnu/packages/golang.scm | 47 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 231f1babc6..5d05c383c6 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7393,3 +7393,50 @@ substitutions, etc.), and it is safe for all utf-8 (unicode) input.")
 Go.  It lets you use emoji characters in strings.")
     (license license:expat)))
 
+(define-public go-github-com-gabriel-vasile-mimetype
+  (package
+    (name "go-github-com-gabriel-vasile-mimetype")
+    (version "1.2.0")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/gabriel-vasile/mimetype.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "0ysb0pjhyr9b7q2y39b5hpwsaidgfl42gd07yj34mgmb9wfjb7ch"))))
+    (build-system go-build-system)
+    (arguments
+     '(#:import-path
+       "github.com/gabriel-vasile/mimetype"
+       ;; FIXME: Cannot open 'supported_mimes.md'
+       #:tests? #f
+       #:phases
+       (modify-phases %standard-phases
+         ;; The files are read-only
+         (add-before 'reset-gzip-timestamps 'make-gz-files-writable
+           (lambda* (#:key outputs #:allow-other-keys)
+             (for-each make-file-writable
+                       (find-files (string-append (assoc-ref outputs "out"))
+                                   ".*\\.gz$"))
+             #t)))))
+
+    (home-page
+      "https://github.com/gabriel-vasile/mimetype")
+    (synopsis "A fast golang library for MIME type and file extension detection")
+    (description "This is a package for detecting MIME types and extensions
+based on magic numbers.  Features include
+
+@itemize
+@item fast and precise MIME type and file extension detection
+@item long list of supported MIME types
+@item common file formats are prioritized
+@item small and simple API
+@item handles MIME type aliases
+@item thread safe
+@item low memory usage, besides the file header
+@end itemize")
+    (license license:expat)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 18:31:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 14:31:46 2021
Received: from localhost ([127.0.0.1]:58613 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS26c-0008Bm-Fn
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:46 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:39248
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lS26a-0008AS-VX
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:45 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617301899;
 bh=pRujkY4I83vbrM+BhIg03zYfmcYsGaAHcvBR5/N8JX4=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=oCkNPcoa60TLgmZWrmgoYA2b67g85jgs2kSv2t5/jwgzduHnKpoioOHuX2gzCbVnp
 T2Hfisf4nZbqMXXE9YAZkYacGXqqAzz4da0AX8BsKl8aBvfCCJ8kLqC1Cjg6Uq8f1I
 ZrqOIfBE/U4Q4TuUngz/U51SyfwY8loUbe6N0F/4=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH v2 13/26] gnu: Add go-github-com-enescakir-emoji.
In-Reply-To: <cover.1617301221.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <36b5eabd4d3e23dbb4581015ec8b9cd35fa49de2.1617301221.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 20:31:39 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/golang.scm (go-github-com-enescakir-emoji):
 New variable. --- gnu/packages/golang.scm | 24 ++++++++++++++++++++++++ 1
 file changed,
 24 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 13ce1a4e4e..231f1babc6 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7369,3 +7369,27 @@ substitutions, etc [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-enescakir-emoji):
    New variable. --- gnu/packages/golang.scm | 24 ++++++++++++++++++++++++ 1
    file changed, 24 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 13ce1a4e4e..231f1babc6 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7369,3 +7369,27 @@ substitutions, etc [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

* gnu/packages/golang.scm (go-github-com-enescakir-emoji): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 13ce1a4e4e..231f1babc6 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7369,3 +7369,27 @@ substitutions, etc.), and it is safe for all utf-8 (unicode) input.")
     (synopsis "Convert Markdown into Man pages")
     (description "This package converts Markdown into Roff Man pages.")
     (license license:expat)))
+
+(define-public go-github-com-enescakir-emoji
+  (package
+    (name "go-github-com-enescakir-emoji")
+    (version "1.0.0")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/enescakir/emoji.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "1xnisfsn94izcjhl4xywd971av4b5v1n67figp16wh443lhihxky"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/enescakir/emoji"))
+    (home-page "https://github.com/enescakir/emoji")
+    (synopsis "Minimalistic emoji package for Go")
+    (description "This package provides a minimalistic emoji library for
+Go.  It lets you use emoji characters in strings.")
+    (license license:expat)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 18:31:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 14:31:46 2021
Received: from localhost ([127.0.0.1]:58611 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS26c-0008Bk-89
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:46 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:39242
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lS26a-00089z-52
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:44 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617301898;
 bh=4Q6YGPcJoiMFrkLZXAZfS9zT+vMsEk1mUBi4ZT7WSyk=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=Lo4Ok3gXa6romK5ekLq3OBHC8SwAnD922VSB2PuW7oxQK5ZxhyBlswXzFMONNO6d4
 trmJlQTfzJRfTBSXQ/isxSm2V1ZhaOCtGm1BN1aNGZ5wVhAXWg1fNgyQ57kwtiNiHp
 FGplbgO2pocAzbpvS15DGdC4Yqysnb/cu3ZxngFI=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH v2 12/26] gnu: Add go-github-com-cpuguy83-go-md2man-v2.
In-Reply-To: <cover.1617301221.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <6fe2415d975d435906e9ce5066407d86422d1afd.1617301221.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 20:31:38 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm
 (go-github-com-cpuguy83-go-md2man-v2):
 New variable. --- gnu/packages/golang.scm | 29 +++++++++++++++++++++++++++++
 1 file changed,
 29 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index cbfc5c7706..13ce1a4e4e 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7340,3 +7340,32 @@ is fast, it suppor [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-cpuguy83-go-md2man-v2):
    New variable. --- gnu/packages/golang.scm | 29 +++++++++++++++++++++++++++++
    1 file changed, 29 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index cbfc5c7706..13ce1a4e4e 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7340,3 +7340,32 @@ is fast, it suppor [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

* gnu/packages/golang.scm (go-github-com-cpuguy83-go-md2man-v2): New variable.
---
 gnu/packages/golang.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index cbfc5c7706..13ce1a4e4e 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7340,3 +7340,32 @@ is fast, it supports common extensions (tables, smart punctuation
 substitutions, etc.), and it is safe for all utf-8 (unicode) input.")
     (license license:bsd-2)))
 
+(define-public go-github-com-cpuguy83-go-md2man-v2
+  (package
+    (name "go-github-com-cpuguy83-go-md2man-v2")
+    (version "2.0.0")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/cpuguy83/go-md2man.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "0r1f7v475dxxgzqci1mxfliwadcrk86ippflx9n411325l4g3ghv"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/cpuguy83/go-md2man"))
+    (native-inputs
+      `(("go-github-com-shurcool-sanitized-anchor-name"
+         ,go-github-com-shurcool-sanitized-anchor-name)
+        ("go-github-com-russross-blackfriday-v2"
+         ,go-github-com-russross-blackfriday-v2)
+        ("go-github-com-pmezard-go-difflib"
+         ,go-github-com-pmezard-go-difflib)))
+    (home-page
+      "https://github.com/cpuguy83/go-md2man")
+    (synopsis "Convert Markdown into Man pages")
+    (description "This package converts Markdown into Roff Man pages.")
+    (license license:expat)))
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 18:31:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 14:31:45 2021
Received: from localhost ([127.0.0.1]:58608 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS26a-0008BR-SB
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:45 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:39236
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lS26Y-00089c-Vb
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:43 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617301897;
 bh=oRmfooXxxxHOC0d9UTrvHlNC+hGsYvkyh65oGE6KRSM=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=E98PczRWl1TEqpryfuY3+pQeuC4bX6PpXvBgu16/2rxyqKprhT2ha3S/Ud+U9i6uv
 lUWWLgaFN67K3jgXPLPGlI+WuXFjrLYkdZUQFkAiweFrLPa7/ZBUj1FFrFcevhRhIj
 Gq1wQw0W0eoQmwQruQUBXqbdSgNz2aWWODykON8g=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH v2 11/26] gnu: Add go-github-com-russross-blackfriday-v2.
In-Reply-To: <cover.1617301221.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <5a80b64521f2f695d55fa2ae6a772a0e9de5d7e7.1617301221.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 20:31:37 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm
 (go-github-com-russross-blackfriday-v2):
 New variable. --- gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
 1 file changed,
 26 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 1d5c99e08a..cbfc5c7706 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7314,3 +7314,29 @@ application flow i [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-russross-blackfriday-v2):
    New variable. --- gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
    1 file changed, 26 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 1d5c99e08a..cbfc5c7706 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7314,3 +7314,29 @@ application flow i [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

* gnu/packages/golang.scm (go-github-com-russross-blackfriday-v2): New variable.
---
 gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 1d5c99e08a..cbfc5c7706 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7314,3 +7314,29 @@ application flow in Go client apps.")
 @code{exec.LookPath()} on Windows.")
      (license license:bsd-2))))
 
+(define-public go-github-com-russross-blackfriday-v2
+  (package
+    (name "go-github-com-russross-blackfriday-v2")
+    (version "2.1.0")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/russross/blackfriday.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "0d1rg1drrfmabilqjjayklsz5d0n3hkf979sr3wsrw92bfbkivs7"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/russross/blackfriday"))
+    (home-page
+      "https://github.com/russross/blackfriday")
+    (synopsis "Markdown processor implemented in Go")
+    (description "Blackfriday is a Markdown processor implemented in Go.  It
+is paranoid about its input (so you can safely feed it user-supplied data), it
+is fast, it supports common extensions (tables, smart punctuation
+substitutions, etc.), and it is safe for all utf-8 (unicode) input.")
+    (license license:bsd-2)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 18:31:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 14:31:44 2021
Received: from localhost ([127.0.0.1]:58606 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS26a-0008BO-Ju
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:44 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:39230
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lS26X-00089M-W8
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:42 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617301896;
 bh=ixj1H8aHv1tjIp5OifhDdKorkJHGm56XBHi2M/FH7HE=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=F2VKFYO63lCe4hSbtq6OlCnBICc9aOarZCyUqTXlaSKXCwagZjdnlf0hdqtxs79hg
 O2TkWsE/EbcIktVcP35gP4K4BcTemJyk46pWZ8rohCLVz4czCXcpAnTNfobslviUiL
 j4jj58N2JQTFmqXfTmejsaU8whYssbflf3FwXQSU=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH v2 10/26] gnu: Add go-github-com-cli-safeexec.
In-Reply-To: <cover.1617301221.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <124fab475e761fdfd6192cb81dc079740161c200.1617301221.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 20:31:36 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm (go-github-com-cli-safeexec): New
 variable. --- gnu/packages/golang.scm | 25 +++++++++++++++++++++++++ 1 file
 changed, 25 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 8d0a44c06c..1d5c99e08a 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7289,3 +7289,28 @@ files in the syste [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-cli-safeexec): New
    variable. --- gnu/packages/golang.scm | 25 +++++++++++++++++++++++++ 1 file
    changed, 25 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 8d0a44c06c..1d5c99e08a 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7289,3 +7289,28 @@ files in the syste [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

* gnu/packages/golang.scm (go-github-com-cli-safeexec): New variable.
---
 gnu/packages/golang.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 8d0a44c06c..1d5c99e08a 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7289,3 +7289,28 @@ files in the system default web browser.")
 application flow in Go client apps.")
     (license license:expat)))
 
+;; Needed by the 'github-cli'
+(define-public go-github-com-cli-safeexec
+  (hidden-package
+   (package
+     (name "go-github-com-cli-safeexec")
+     (version "1.0.0")
+     (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+              (url "https://github.com/cli/safeexec.git")
+              (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+         (base32
+          "1q80va3721dyw33lrnv7x3gd66kcnbsm38dv3lk7xqhii2adawmk"))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/cli/safeexec"))
+     (home-page "https://github.com/cli/safeexec")
+     (synopsis "Safer alternative to exec.LookPath() on Windows")
+     (description "This library provides a safer alternative to
+@code{exec.LookPath()} on Windows.")
+     (license license:bsd-2))))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 18:31:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 14:31:42 2021
Received: from localhost ([127.0.0.1]:58602 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS26Y-0008B2-D6
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:42 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:39224
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lS26X-00089L-7W
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:41 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617301895;
 bh=PO9S5D6+LJ0JBE05npxeyBaYeBM4dOpPZ6gqvoRfenY=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=eEUzvqam0nYrNIC+11sxUoWCvzxGeFnILN4qXoGnm39QrCXVFRw8iVe67KtXCwL0W
 B0VL8fTtztcRF3qLL/kGVX2aadTlbY0TEy5G07VKjEpewtt6Q7Vkb87mjCZhCvIox3
 oSe82ZHJMFtWH72I392D2Qy5eJNCefBWr0+niMdA=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH v2 09/26] gnu: Add go-github-com-cli-oauth.
In-Reply-To: <cover.1617301221.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <80db6e4d1aa13dc88c01333df023b61b5f9e3aa5.1617301221.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 20:31:35 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm (go-github-com-cli-oauth): New
 variable.
 --- gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++ 1 file changed,
 26 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 1cdc04bde6..8d0a44c06c 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7263,3 +7263,29 @@ indicator to any t [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-cli-oauth): New variable.
    --- gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++ 1 file changed,
    26 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 1cdc04bde6..8d0a44c06c 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7263,3 +7263,29 @@ indicator to any t [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

* gnu/packages/golang.scm (go-github-com-cli-oauth): New variable.
---
 gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 1cdc04bde6..8d0a44c06c 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7263,3 +7263,29 @@ indicator to any terminal application. ")
 files in the system default web browser.")
     (license license:bsd-2)))
 
+(define-public go-github-com-cli-oauth
+  (package
+    (name "go-github-com-cli-oauth")
+    (version "0.8.0")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/cli/oauth.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "1b96cl53qc40xsgpxpy9qkrib4a4g02a4sq442qp8749qab5ljhs"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/cli/oauth"))
+    (native-inputs
+      `(("go-github-com-cli-browser"
+         ,go-github-com-cli-browser)))
+    (home-page "https://github.com/cli/oauth")
+    (synopsis "Perform OAuth Device flow and Web application flow in Go")
+    (description "This is a library for performing OAuth Device flow and Web
+application flow in Go client apps.")
+    (license license:expat)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 18:31:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 14:31:40 2021
Received: from localhost ([127.0.0.1]:58598 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS26W-0008Ac-60
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:40 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:39194
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lS26Q-00088O-Qy
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:35 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617301889;
 bh=B1M/R4dkeyyVs65dn3Pqxa9kh/KSjy2Kt1ZTM9xZKf0=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=Hxo0Pv2jOIDRE1zSagOKzRlHfe1ZaB2111Y4nMddOuNBJ4iGtyIKRwQg1N+q4BjL2
 AG2/dwp8i/yZW0fwIqK4u8uF5pqQnyVfURSg4wPCHAOWHr/z6gZil/gE0k9O54xhld
 8MC9YKKp4pssoxZZ9pzZ87MfRGKFERistETkqISQ=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH v2 03/26] gnu: Add go-github-com-kr-pty.
In-Reply-To: <cover.1617301221.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <3b53ec64774b2ca15c72c5c29be582b050728b2a.1617301221.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 20:31:28 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm (go-github-com-kr-pty): New
 variable.
 --- gnu/packages/golang.scm | 25 +++++++++++++++++++++++++ 1 file changed,
 25 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index e6f834e7af..6664e28e8f 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7081,3 +7081,28 @@ larged been influe [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-kr-pty): New variable.
    --- gnu/packages/golang.scm | 25 +++++++++++++++++++++++++ 1 file changed,
    25 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index e6f834e7af..6664e28e8f 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7081,3 +7081,28 @@ larged been influe [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

* gnu/packages/golang.scm (go-github-com-kr-pty): New variable.
---
 gnu/packages/golang.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index e6f834e7af..6664e28e8f 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7081,3 +7081,28 @@ larged been influenced by st, rxvt, xterm, and iTerm as reference.")
     (description "Pty is a Go package for using Unix pseudo-terminals.")
     (license license:expat)))
 
+;; Deprecated in favor of 'go-github-com-creack-pty', but needed by github-cli
+(define-public go-github-com-kr-pty
+  (hidden-package
+   (package
+     (name "go-github-com-kr-pty")
+     (version "1.1.8")
+     (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+              (url "https://github.com/kr/pty.git")
+              (commit (string-append "v" version))))
+        (file-name (git-file-name "go-github-com-kr-pty" version))
+        (sha256
+         (base32
+          "1vcl6f90n0f8s8b4fyh0832ilybjqcypqyj233lqj1hx62fvgdbk"))))
+     (build-system go-build-system)
+     (arguments '(#:import-path "github.com/kr/pty"))
+     (propagated-inputs
+      `(("go-github-com-creack-pty" ,go-github-com-creack-pty)))
+     (home-page "https://github.com/kr/pty")
+     (synopsis "PTY interface for Go")
+     (description "Pty is a Go package for using Unix pseudo-terminals.")
+     (license license:expat))))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 18:31:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 14:31:40 2021
Received: from localhost ([127.0.0.1]:58596 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS26V-0008AV-U7
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:40 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:39176
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lS26Q-00088C-ST
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:35 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617301894;
 bh=BP7qcmv0ggbkmX0Kwyy/lq1MiM4IxfPM8+or1/8kx3s=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=oA2fZvWSQA4XXQTDkfWEREbsRdOjKW9F/FJIcimnzWkcd1j2t21xXeW2dEAM3x/n7
 PIoA3iuJBqpKsG+IMZN2iliJElXeuAA7kKLEC9cytGAHjtoPn4W158sjvz07vD8XX2
 5jdYcDh9lThNC2+2Rm/BUMXw6IuHusLk/AefCxAM=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH v2 08/26] gnu: Add go-github-com-cli-browser.
In-Reply-To: <cover.1617301221.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <8e0939a2014c562ca03ebb5745b1e54ded26d877.1617301221.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 20:31:34 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/golang.scm (go-github-com-cli-browser): New
 variable. --- gnu/packages/golang.scm | 25 +++++++++++++++++++++++++ 1 file
 changed, 25 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 11312227ff..1cdc04bde6 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7238,3 +7238,28 @@ indent.") indicato [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-cli-browser): New
    variable. --- gnu/packages/golang.scm | 25 +++++++++++++++++++++++++ 1 file
    changed, 25 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 11312227ff..1cdc04bde6 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7238,3 +7238,28 @@ indent.") indicato [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

* gnu/packages/golang.scm (go-github-com-cli-browser): New variable.
---
 gnu/packages/golang.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 11312227ff..1cdc04bde6 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7238,3 +7238,28 @@ indent.")
 indicator to any terminal application. ")
     (license license:asl2.0)))
 
+(define-public go-github-com-cli-browser
+  (package
+    (name "go-github-com-cli-browser")
+    (version "1.1.0")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/cli/browser.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "13z27cc0a184bhprspwclzbvrzsrfd5qyk5r2djfx5nm85igxr0n"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/cli/browser"))
+    (native-inputs
+      `(("go-golang-org-x-sys" ,go-golang-org-x-sys)))
+    (home-page "https://github.com/cli/browser")
+    (synopsis "Helpers to open URLs, or files in the default web browser")
+    (description "This library provides helpers to open URLs, readers, or
+files in the system default web browser.")
+    (license license:bsd-2)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 18:31:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 14:31:39 2021
Received: from localhost ([127.0.0.1]:58594 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS26V-0008AN-NH
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:39 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:39166
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lS26Q-00087o-1l
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:34 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617301893;
 bh=lURvfMDRJt31a16dZSvIzF2r3j94+d/5XZxAOsvzwPo=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=TLRufPJ8ri942c/zqxBCD+XgJ7jfkA1/0121beqF0TUxtonGPJ44zUkCrilmy9wyo
 qduNb1qVRIh2+3XFvVuWgL4rS96JmCSLeIZatrmao6/KojXMcbb6wTxf3pzPtQoigw
 B7P7m4NFlLB89M6Alh23x5e07yErj6RZH79eUZmY=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH v2 07/26] gnu: Add go-github-com-briandowns-spinner.
In-Reply-To: <cover.1617301221.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <a06df88fec1609f7892db4d581f12d79ced9d936.1617301221.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 20:31:33 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm (go-github-com-briandowns-spinner):
 New variable. --- gnu/packages/golang.scm | 29 +++++++++++++++++++++++++++++
 1 file changed,
 29 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index b1e9baf85b..11312227ff 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7209,3 +7209,32 @@ terminals supporti [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-briandowns-spinner):
    New variable. --- gnu/packages/golang.scm | 29 +++++++++++++++++++++++++++++
    1 file changed, 29 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index b1e9baf85b..11312227ff 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7209,3 +7209,32 @@ terminals supporti [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

* gnu/packages/golang.scm (go-github-com-briandowns-spinner): New variable.
---
 gnu/packages/golang.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index b1e9baf85b..11312227ff 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7209,3 +7209,32 @@ terminals supporting ANSI escape sequences.")
 indent.")
     (license license:expat)))
 
+(define-public go-github-com-briandowns-spinner
+  (package
+    (name "go-github-com-briandowns-spinner")
+    (version "1.12.0")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/briandowns/spinner.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "1n6h2iqq5anqg9p2pwz684vhfjx0944rrw53x2cn5m1dybp6rbwx"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/briandowns/spinner"))
+    (native-inputs
+      `(("go-github-com-mattn-go-colorable"
+         ,go-github-com-mattn-go-colorable)
+        ("go-github-com-fatih-color"
+         ,go-github-com-fatih-color)))
+    (home-page
+      "https://github.com/briandowns/spinner")
+    (synopsis "Progress indicator for any terminal application")
+    (description "This is a simple package to add a spinner or progress
+indicator to any terminal application. ")
+    (license license:asl2.0)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 18:31:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 14:31:39 2021
Received: from localhost ([127.0.0.1]:58592 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS26V-0008AG-G7
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:39 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:39182
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lS26P-00088G-Em
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:33 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617301887;
 bh=zV5tBXnmL/e5A9v502hpUq0/JCnrwyKpNaNz+ZZHoO0=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=JRLTVqkjJ7MiBQtP3uq38wA9JI/U3Cv7j3YyzR4cGGrX51ZxUDah65DOpstqqhk95
 wfEXomOfA9SZPu+QA2sErzoep7HgH2JnJFeep4OAKysjVnMDPCgtlIYAqqp3IZV52N
 40hzXsoV/mZEySB+skErM6GtwghmPbi3lOL972LY=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH v2 02/26] gnu: Add go-github-com-creack-pty.
In-Reply-To: <cover.1617301221.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <b43429035cf484f6544c70c6b7c3da1f3a8b0156.1617301221.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 20:31:27 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/golang.scm (go-github-com-creack-pty): New
 variable. --- gnu/packages/golang.scm | 22 ++++++++++++++++++++++ 1 file
 changed, 22 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 5e0526184f..e6f834e7af 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7059,3 +7059,25 @@ Go.") larged been [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-creack-pty): New
   variable. --- gnu/packages/golang.scm | 22 ++++++++++++++++++++++ 1 file changed,
    22 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 5e0526184f..e6f834e7af 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7059,3 +7059,25 @@ Go.") larged been [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

* gnu/packages/golang.scm (go-github-com-creack-pty): New variable.
---
 gnu/packages/golang.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 5e0526184f..e6f834e7af 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7059,3 +7059,25 @@ Go.")
 larged been influenced by st, rxvt, xterm, and iTerm as reference.")
     (license license:expat)))
 
+(define-public go-github-com-creack-pty
+  (package
+    (name "go-github-com-creack-pty")
+    (version "1.1.11")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/creack/pty.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "0dwhch53vqxpnbiqvfa27cliabx9ma2m4dax4adlrz8rami4sakw"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/creack/pty"))
+    (home-page "https://github.com/creack/pty")
+    (synopsis "PTY interface for Go")
+    (description "Pty is a Go package for using Unix pseudo-terminals.")
+    (license license:expat)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 18:31:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 14:31:39 2021
Received: from localhost ([127.0.0.1]:58590 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS26V-0008A9-9X
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:39 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:39158
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lS26F-00087D-MY
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:33 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617301878;
 bh=HUemzVom7FwxP3XOiENTxSK8UatsV0LrQFFCOrnLudk=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=k4tmSMhT9brFaxP2BXAKST8Up2vFj4ULxuo/yt0DrknvWe5pEaVDGSLWH65lOMbtc
 HtdmEMFGUY8T4CeHscsoa1dLUvyAsjVB31jbhCG8L7gfX7EfyeCi32XkeaidoFqWpt
 xaaeINnkMzlA4ezmLMGQ96tukulIeMZsxvIU0dTw=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH v2 25/26] gnu: Add go-github-com-cli-shurcool-graphql.
In-Reply-To: <cover.1617301221.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <63f804a2f569ce800a1dade485c80bb395a4fd0a.1617301221.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 20:31:17 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 3.3 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm
 (go-github-com-cli-shurcool-graphql):
 New variable. --- gnu/packages/golang.scm | 19 +++++++++++++++++++ 1 file
 changed, 19 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index f220eca4ac..4ca2f280f9 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7712,3 +7712,22 @@ library to parse a [...] 
 Content analysis details:   (3.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 T_SPF_TEMPERROR        SPF: test of record failed (temperror)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 KHOP_HELO_FCRDNS       Relay HELO differs from its IP's reverse DNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-cli-shurcool-graphql):
    New variable. --- gnu/packages/golang.scm | 19 +++++++++++++++++++ 1 file
    changed, 19 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index f220eca4ac..4ca2f280f9 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7712,3 +7712,22 @@ library to parse a [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

* gnu/packages/golang.scm (go-github-com-cli-shurcool-graphql): New variable.
---
 gnu/packages/golang.scm | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index f220eca4ac..4ca2f280f9 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7712,3 +7712,22 @@ library to parse and generate YAML data quickly and reliably.")
     (description "This package provides a GraphQL client implementation.")
     (license license:expat)))
 
+;; GitHub's fork of go-github-com-shurcool-graphql, used by the 'github-cli'
+(define-public go-github-com-cli-shurcool-graphql
+  (hidden-package
+   (package
+     (inherit go-github-com-shurcool-graphql)
+     (name "go-github-com-cli-shurcool-graphql")
+     ;; Use the commit from the 'named-queries' branch
+     (version "0.0.0-20200707151639-0f7232a2bf7e")
+     (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+              (url "https://github.com/cli/shurcooL-graphql.git")
+              (commit (go-version->git-ref version))))
+        (file-name (git-file-name name version))
+        (sha256
+         (base32
+          "19dv1zprs9zv5gnwql29r7lym08gh2jwkz0w0f62823b57m1rjp6"))))
+     (home-page "https://github.com/cli/shurcooL-graphql"))))
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 18:31:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 14:31:39 2021
Received: from localhost ([127.0.0.1]:58588 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS26V-0008A1-1z
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:39 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:39176
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lS26O-00088C-Sf
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:33 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617301892;
 bh=spwMtzxFVXE13XW+veDiqyn6k27+mB39udSWBdgZ0EY=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=rQ+znkW54eyd6m7t5IQpJ1U0dbA6yugnKXeyF8qf0/qzVDOo4rw/4kWp7LXZORuSI
 p+i3nbEKhIf0mRwXd8wNvBCE5x0/P0ntCyxwURW0aAtoG4sR7AJJ7CmGIO3f9GXSA0
 WoV7CQg4X2xDrV0/dE11Kz9R6rmKcBZa4lESwNzo=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH v2 06/26] gnu: Add go-github-com-makenowjust-heredoc.
In-Reply-To: <cover.1617301221.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <c9b263d181755176a2b0d6ed4688a7c29a442c6d.1617301221.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 20:31:32 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm
 (go-github-com-makenowjust-heredoc):
 New variable. --- gnu/packages/golang.scm | 24 ++++++++++++++++++++++++ 1
 file changed,
 24 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 268a88e15b..b1e9baf85b 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7185,3 +7185,27 @@ sending input thro [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-makenowjust-heredoc):
    New variable. --- gnu/packages/golang.scm | 24 ++++++++++++++++++++++++ 1
    file changed, 24 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 268a88e15b..b1e9baf85b 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7185,3 +7185,27 @@ sending input thro [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

* gnu/packages/golang.scm (go-github-com-makenowjust-heredoc): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 268a88e15b..b1e9baf85b 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7185,3 +7185,27 @@ sending input through it's pseudoterminal.")
 terminals supporting ANSI escape sequences.")
     (license license:expat)))
 
+(define-public go-github-com-makenowjust-heredoc
+  (package
+    (name "go-github-com-makenowjust-heredoc")
+    (version "1.0.0")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/MakeNowJust/heredoc.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "18f21zm8n2wlnkz1ylw8rcxmqxyv2rlz8749yfqggm2m0m2884pj"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/MakeNowJust/heredoc"))
+    (home-page
+      "https://github.com/MakeNowJust/heredoc")
+    (synopsis "Here-documents with keeping indent")
+    (description "This package provides the Here-document with keeping
+indent.")
+    (license license:expat)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 18:31:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 14:31:39 2021
Received: from localhost ([127.0.0.1]:58586 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS26U-00089t-NG
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:39 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:39166
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lS26N-00087o-TO
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:32 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617301891;
 bh=SBsRwNaIHu1k09RCQnvKY4mgJssVcmPYCnFixrFh9ks=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=jEDdPvLWXInE1xTINoXxaZT+LOYu0lIkQ/AT8YW5KkW9BiHE4WYeKXglqLhjtxdrQ
 Wqf2lw/xo2FLhvQrHwbfE7uAhBtc/Ffzrb58X76bGoRi/OsQRkusonD8Rbv7LSOmq6
 AQ4exNXEPp4UnRaGR94RCnnmtX3aBQ2/MfqZrErY=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH v2 05/26] gnu: Add go-github-com-alecaivazis-survey-v2.
In-Reply-To: <cover.1617301221.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <1caaa23be675d3c7d9245b5d2d3d8258d99631d9.1617301221.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 20:31:31 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm
 (go-github-com-alecaivazis-survey-v2):
 New variable. --- gnu/packages/golang.scm | 49
 +++++++++++++++++++++++++++++++++++++++++ 1 file changed,
 49 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 57ae6e3210..268a88e15b 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -63,6 +63,7 @@ #:use-module (gnu packa [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-alecaivazis-survey-v2):
    New variable. --- gnu/packages/golang.scm | 49 +++++++++++++++++++++++++++++++++++++++++
    1 file changed, 49 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 57ae6e3210..268a88e15b 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -63,6 +63,7 @@ #:use-module (gnu packa [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

* gnu/packages/golang.scm (go-github-com-alecaivazis-survey-v2): New variable.
---
 gnu/packages/golang.scm | 49 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 57ae6e3210..268a88e15b 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -63,6 +63,7 @@
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages pulseaudio)
   #:use-module (gnu packages textutils)
+  #:use-module ((gnu packages syncthing) #:select (go-github-com-kballard-go-shellquote))
   #:use-module (gnu packages tls)
   #:use-module (gnu packages web)
   #:use-module (ice-9 match)
@@ -7136,3 +7137,51 @@ manage process lifecycle.  This package only focuses on expecting output and
 sending input through it's pseudoterminal.")
     (license license:asl2.0)))
 
+(define-public go-github-com-alecaivazis-survey-v2
+  (package
+    (name "go-github-com-alecaivazis-survey-v2")
+    (version "2.2.9")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/AlecAivazis/survey.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "1jw4ka44q7a2885fil4qnb56mdlixmy5ysd68i5h5dblbq4r61l1"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/AlecAivazis/survey"))
+    (native-inputs
+      `(("go-golang-org-x-text" ,go-golang-org-x-text)
+        ("go-golang-org-x-sys" ,go-golang-org-x-sys)
+        ("go-golang-org-x-crypto"
+         ,go-golang-org-x-crypto)
+        ("go-github-com-stretchr-testify"
+         ,go-github-com-stretchr-testify)
+        ("go-github-com-pmezard-go-difflib"
+         ,go-github-com-pmezard-go-difflib)
+        ("go-github-com-mgutz-ansi"
+         ,go-github-com-mgutz-ansi)
+        ("go-github-com-mattn-go-isatty"
+         ,go-github-com-mattn-go-isatty)
+        ("go-github-com-mattn-go-colorable"
+         ,go-github-com-mattn-go-colorable)
+        ("go-github-com-kr-pty" ,go-github-com-kr-pty)
+        ("go-github-com-kballard-go-shellquote"
+         ,go-github-com-kballard-go-shellquote)
+        ("go-github-com-hinshun-vt10x"
+         ,go-github-com-hinshun-vt10x)
+        ("go-github-com-davecgh-go-spew"
+         ,go-github-com-davecgh-go-spew)
+        ("go-github-com-netflix-go-expect"
+         ,go-github-com-netflix-go-expect)))
+    (home-page
+      "https://github.com/AlecAivazis/survey")
+    (synopsis "Build interactive prompts on terminals")
+    (description "This is a library for building interactive prompts on
+terminals supporting ANSI escape sequences.")
+    (license license:expat)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 18:31:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 14:31:38 2021
Received: from localhost ([127.0.0.1]:58584 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS26U-00089m-2F
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:38 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:39176
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lS26N-00088C-DF
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:32 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617301884;
 bh=VlF4YrPEx6BInry3HEudM3T4V1gFJOpjMbhrJm9iIhw=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=CBi7/CeGE/3mD5OcdZUpBcvf6wZqO4aRi8cCBUruMVzVENF5myjsAQ2wi86DWjMW6
 m6XKJ+x3jK0/jJLY2aPGDce7ZtZfU++NhrOfeYsNydfSrnRHF08Is3gygvX0R83SPY
 GzeZgBxkIP4r15aYQk+G/KrcXXG+LkAEWaja4xho=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH v2 01/26] gnu: Add go-github-com-hinshun-vt10x.
In-Reply-To: <cover.1617301221.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <8dd6b0b0cd005621eb443798b9e0568b2e4cc924.1617301221.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 20:31:23 +0200
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-hinshun-vt10x): New
    variable. --- gnu/packages/golang.scm | 25 +++++++++++++++++++++++++ 1 file
    changed, 25 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index d9988cd7ad..5e0526184f 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -25,6 +25,7 @@ ;;; Copyright © 2020 M [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-hinshun-vt10x): New
    variable. --- gnu/packages/golang.scm | 25 +++++++++++++++++++++++++ 1 file
    changed, 25 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index d9988cd7ad..5e0526184f 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -25,6 +25,7 @@ ;;; Copyright © 2020 M [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

* gnu/packages/golang.scm (go-github-com-hinshun-vt10x): New variable.
---
 gnu/packages/golang.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index d9988cd7ad..5e0526184f 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -25,6 +25,7 @@
 ;;; Copyright =C2=A9 2020 Martin Becze <mjbecze@HIDDEN>
 ;;; Copyright =C2=A9 2021 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright =C2=A9 2021 Guillaume Le Vaillant <glv@HIDDEN>
+;;; Copyright =C2=A9 2021 Xinglu Chen <public@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -7034,3 +7035,27 @@ simplifications, and enforces style rules.")
      "This package provides a library for fast, structured, leveled loggin=
g in
 Go.")
     (license license:expat)))
+
+(define-public go-github-com-hinshun-vt10x
+  (package
+    (name "go-github-com-hinshun-vt10x")
+    (version "0.0.0-20180809195222-d55458df857c")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/hinshun/vt10x.git")
+               (commit (go-version->git-ref version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "0vwsp5iii7pf4na8pkd7cn3bawkwnsimkv1sysy7bslclg5jm370"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/hinshun/vt10x"))
+    (home-page "https://github.com/hinshun/vt10x")
+    (synopsis "vt10x terminal emulation backend")
+    (description "This package is a vt10x terminal emulation backend.  It =
has
+larged been influenced by st, rxvt, xterm, and iTerm as reference.")
+    (license license:expat)))
+
--=20
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 18:31:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 14:31:38 2021
Received: from localhost ([127.0.0.1]:58582 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS26T-00089e-RX
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:38 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:39166
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lS26M-00087o-Mu
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:31 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617301890;
 bh=zeBhnnYMHN0VJOQuyC0/ZXdCGmckyfcC4zRK9b7v/yI=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=NUIRQ1ayfyNkZcDAi69rtns8SPfLshDa5EDMlP74rI1OGXIPLUSasSD0LQ49CwdhS
 4Xsg5puX78NWiKSuhD+4LXGaytmoE6jcq6jObw4NN8MKJQkcx6fmXCi0g5bpEzDB78
 OVyxwu+GNZNNrZRzlQ43zJXaxQrpSsi9gztg82HE=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH v2 04/26] gnu: Add go-github-com-netflix-go-expect.
In-Reply-To: <cover.1617301221.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <56a4bc352acaf29d13b0607c450aa581f5203b1c.1617301221.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 20:31:30 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm (go-github-com-netflix-go-expect):
 New variable. --- gnu/packages/golang.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed,
 30 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 6664e28e8f..57ae6e3210 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7106,3 +7106,33 @@ larged been influe [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-netflix-go-expect):
    New variable. --- gnu/packages/golang.scm | 30 ++++++++++++++++++++++++++++++
    1 file changed, 30 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 6664e28e8f..57ae6e3210 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7106,3 +7106,33 @@ larged been influe [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

* gnu/packages/golang.scm (go-github-com-netflix-go-expect): New variable.
---
 gnu/packages/golang.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 6664e28e8f..57ae6e3210 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7106,3 +7106,33 @@ larged been influenced by st, rxvt, xterm, and iTerm as reference.")
      (description "Pty is a Go package for using Unix pseudo-terminals.")
      (license license:expat))))
 
+(define-public go-github-com-netflix-go-expect
+  (package
+    (name "go-github-com-netflix-go-expect")
+    (version "0.0.0-20201125194554-85d881c3777e")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/Netflix/go-expect.git")
+               (commit (go-version->git-ref version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "01s59hsdwy2nngngcgzyhncys56pdgzr6lff7k8kjrh26zk6pdv5"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/Netflix/go-expect"))
+    (native-inputs
+      `(("go-github-com-stretchr-testify"
+         ,go-github-com-stretchr-testify)
+        ("go-github-com-kr-pty" ,go-github-com-kr-pty)))
+    (home-page
+      "https://github.com/Netflix/go-expect")
+    (synopsis "Expect-like library to automate control of terminal programs")
+    (description "This package provides an expect-like interface to automate
+control of applications.  It is unlike expect in that it does not spawn or
+manage process lifecycle.  This package only focuses on expecting output and
+sending input through it's pseudoterminal.")
+    (license license:asl2.0)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 18:31:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 14:31:37 2021
Received: from localhost ([127.0.0.1]:58580 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS26T-00089W-F7
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:37 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:39166
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lS26J-00087o-7S
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:29 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617301879;
 bh=IZicH7/iTBwcWsAHVD8XJxSeEh6UToTMI7CJkZIKWT4=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=eLqBKO+QbKPAV2P7qqpKtfZdnmzUaMCyn9h6kbk4jNfiLSo1Tqevey1aFZ2u2tBjt
 KxRBcFhof3fnRdprW9B0AwzJ9PEej6crC+PjFUJvO+MkAWEh0nLVOnhF5flRt3ezeV
 UirjVJth40G3ja98iCGXXwmqNevoEhkbB39PkgXw=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH v2 00/26] Add github-cli and dependencies
In-Reply-To: <cover.1617262223.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <cover.1617301221.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 20:31:19 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Changes since v1: - Renamed 'gh' to 'github-cli' to avoid
 short two or three letter names. - Added a phase in 'github-cli' to remove
 its dependence on the 'go-github-com-cli-safeexec' package, and I also removed
 'go-github-com-cli-safeexec' itself since it is only used on Windows. 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Changes since v1: - Renamed 'gh' to 'github-cli' to avoid
   short two or three letter names. - Added a phase in 'github-cli' to remove
    its dependence on the 'go-github-com-cli-safeexec' package, and I also removed
    'go-github-com-cli-safeexec' itself since it is only used on Windows. 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

Changes since v1:

- Renamed 'gh' to 'github-cli' to avoid short two or three letter names.

- Added a phase in 'github-cli' to remove its dependence on the
  'go-github-com-cli-safeexec' package, and I also removed
  'go-github-com-cli-safeexec' itself since it is only used on Windows.

- Removed 'go-github-com-shurcool-sanitized-anchor-name' because it
  already existed.  Upstream uses '_' instead of '-' in the name, the Go
  importer didn't convert '_' to '-' so I had to fix it myself without
  realizing that the package already existed.
  
- Marked 'go-github-com-cli-shurcool-graphql' as a hidden package
  because it is GitHub's own fork of 'go-github-com-shurcool-graphql',
  and is only used by 'github-cli'.
  
Xinglu Chen (26):
  gnu: Add go-github-com-hinshun-vt10x.
  gnu: Add go-github-com-creack-pty.
  gnu: Add go-github-com-kr-pty.
  gnu: Add go-github-com-netflix-go-expect.
  gnu: Add go-github-com-alecaivazis-survey-v2.
  gnu: Add go-github-com-makenowjust-heredoc.
  gnu: Add go-github-com-briandowns-spinner.
  gnu: Add go-github-com-cli-browser.
  gnu: Add go-github-com-cli-oauth.
  gnu: Add go-github-com-cli-safeexec.
  gnu: Add go-github-com-russross-blackfriday-v2.
  gnu: Add go-github-com-cpuguy83-go-md2man-v2.
  gnu: Add go-github-com-enescakir-emoji.
  gnu: Add go-github-com-gabriel-vasile-mimetype.
  gnu: Add go-github-com-google-shlex.
  gnu: Add go-github-com-henvic-httpretty.
  gnu: Add go-github-com-itchyny-go-flags.
  gnu: Add go-github-com-itchyny-timefmt-go.
  gnu: Add go-github-com-itchyny-gojq.
  gnu: Add go-github-com-mattn-go-runewidth.
  gnu: Add go-github-com-rivo-uniseg.
  gnu: Add go-github-com-shurcool-githubv4.
  gnu: Add go-gopkg-in-yaml-v3.
  gnu: Add go-github-com-shurcool-graphql.
  gnu: Add go-github-com-cli-shurcool-graphql.
  gnu: Add github-cli.

 gnu/packages/golang.scm          | 697 +++++++++++++++++++++++++++++++
 gnu/packages/version-control.scm | 145 +++++++
 2 files changed, 842 insertions(+)


base-commit: 9c9a36de732ea8485e47e84b888e121233f68452
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 18:31:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 14:31:37 2021
Received: from localhost ([127.0.0.1]:58578 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS26S-00089P-Up
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:37 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:39140
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lS26C-00086r-2N
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:29 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617301874;
 bh=HrLUb6p/PuxUK7HnaBftvaibsmFC+S9LwOIP+hBP/8U=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=XxspbZggCW0WxX/reC1LKesJF5zANR7ENjxeWFFXTzFyG3OxsHrXQbYhgCP37UHz0
 EMyZI+lKlmN607J+h0yV3cLVXjYJpYUJLQeYaeQlNvT7wu9GlMaR+s22MHj7hoJnNM
 saTXSo15wp8BeeH+QWdHIN9HqRzh6CFPmxoyD0RM=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH v2 22/26] gnu: Add go-github-com-shurcool-githubv4.
In-Reply-To: <cover.1617301221.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <33a74c1302b5cd68ed0324b4cfb383b915a0eeee.1617301221.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 20:31:14 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 3.3 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm (go-github-com-shurcool-githubv4):
 New variable. --- gnu/packages/golang.scm | 32
 ++++++++++++++++++++++++++++++++ 1 file changed,
 32 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 1e6e5e7aa5..1ee6728a4f 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7630,3 +7630,35 @@ character or strin [...] 
 Content analysis details:   (3.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 T_SPF_TEMPERROR        SPF: test of record failed (temperror)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 KHOP_HELO_FCRDNS       Relay HELO differs from its IP's reverse DNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-shurcool-githubv4):
    New variable. --- gnu/packages/golang.scm | 32 ++++++++++++++++++++++++++++++++
    1 file changed, 32 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 1e6e5e7aa5..1ee6728a4f 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7630,3 +7630,35 @@ character or strin [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

* gnu/packages/golang.scm (go-github-com-shurcool-githubv4): New variable.
---
 gnu/packages/golang.scm | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 1e6e5e7aa5..1ee6728a4f 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7630,3 +7630,35 @@ character or string.")
 to @url{https://unicode.org/reports/tr29/,Unicode Standard Annex #29}.")
     (license license:expat)))
 
+(define-public go-github-com-shurcool-githubv4
+  (package
+    (name "go-github-com-shurcool-githubv4")
+    (version "0.0.0-20201206200315-234843c633fa")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/shurcooL/githubv4.git")
+               (commit (go-version->git-ref version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "1jmmjv95vcm9vl5zpvwv77pq3mhf2j2vxc7pj75yfniymp2dh5mi"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/shurcooL/githubv4"))
+    (native-inputs
+     `(("go-github-com-shurcooL-graphql" ,go-github-com-shurcool-graphql)
+       ("go-golang-org-x-oauth2" ,go-golang-org-x-oauth2)))
+    (home-page "https://github.com/shurcooL/githubv4")
+    (synopsis "Client library for accessing the GitHub GraphQL API v4")
+    (description "This package is a client library for accessing the GitHub
+GraphQL API v4.  It focuses on the following things:
+
+@itemize
+@item Friendly, simple and powerful API.
+@item Correctness, high performance and efficiency.
+@item Support for all of GitHub GraphQL API v4 via code generation from schema.
+@end itemize")
+    (license license:expat)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 18:31:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 14:31:36 2021
Received: from localhost ([127.0.0.1]:58566 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS26F-000884-Ox
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:36 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:39152
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lS26E-000875-C0
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:22 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617301876;
 bh=Sraa8Btm9tlJIP0lXI3Kf3JpygtBdXFuCp/cV6jKlXM=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=d5L8CMD6w0YC3Mip4oG57X2EjH1reag9/WISbM6HKim7f1Z83bOzrO+JQJ8iI+h1Q
 ILh2OsdquddaG7X/fxoFuBOep5yOPn1z0FKUxbxz3qm0bQEA1enPot0WuNTUYhfMvL
 woayqekGREErUkk8tI6HPaouz1PW1zbIpecrhehI=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH v2 24/26] gnu: Add go-github-com-shurcool-graphql.
In-Reply-To: <cover.1617301221.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <d18d11966ca89bce50cffaeab3ec77646f152a57.1617301221.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 20:31:16 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm (go-github-com-shurcool-graphql):
 New variable. --- gnu/packages/golang.scm | 24 ++++++++++++++++++++++++ 1
 file changed,
 24 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 2186e023ea..f220eca4ac 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7688,3 +7688,27 @@ library to parse a [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-shurcool-graphql):
    New variable. --- gnu/packages/golang.scm | 24 ++++++++++++++++++++++++ 1
    file changed, 24 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 2186e023ea..f220eca4ac 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7688,3 +7688,27 @@ library to parse a [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 T_SPF_TEMPERROR        SPF: test of record failed (temperror)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

* gnu/packages/golang.scm (go-github-com-shurcool-graphql): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 2186e023ea..f220eca4ac 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7688,3 +7688,27 @@ library to parse and generate YAML data quickly and reliably.")
     (license (list license:expat
                    license:asl2.0))))
 
+(define-public go-github-com-shurcool-graphql
+  (package
+    (name "go-github-com-shurcool-graphql")
+    (version "0.0.0-20200928012149-18c5c3165e3a")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/shurcooL/graphql.git")
+             (commit (go-version->git-ref version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0psxc2q3qsh1lfag11m2gz54fzzvlss5znyf34aars94igsjywzx"))))
+    (build-system go-build-system)
+    (arguments
+     '(#:import-path "github.com/shurcooL/graphql"))
+    (native-inputs
+     `(("go-golang-org-x-net" ,go-golang-org-x-net)))
+    (home-page "https://github.com/shurcooL/graphql")
+    (synopsis "GraphQL client implementation")
+    (description "This package provides a GraphQL client implementation.")
+    (license license:expat)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 18:31:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 14:31:23 2021
Received: from localhost ([127.0.0.1]:58564 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS26F-000881-GJ
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:23 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:39146
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lS26E-000874-1z
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:22 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617301875;
 bh=y2fVfJCMOnmvK/Y8r1I99YK6Uky1Wjmte9S8CrKQViU=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=AQWmA+Bh4n7WZEnxqvZm4hWtetVv9wbBXgZ56ohybnKAeHxhdWca9ql13PuJPYWPL
 YQIna24kfT5iQouKUd/NxhUNm5/0gmV/pHgHrWJzeAtvOag1lcBIlXclF7gjlIayf8
 vqXe6FwfTgumnwjbUn/o2pISjKCOGJZZsTpegbS4=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH v2 23/26] gnu: Add go-gopkg-in-yaml-v3.
In-Reply-To: <cover.1617301221.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <2545eed1f21e95977822b79b8a6e3002990658a1.1617301221.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 20:31:15 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm (go-gopkg-in-yaml-v3): New
 variable.
 --- gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++ 1 file changed,
 26 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 1ee6728a4f..2186e023ea 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7662,3 +7662,29 @@ GraphQL API v4. It [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-gopkg-in-yaml-v3): New variable.
    --- gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++ 1 file changed,
    26 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 1ee6728a4f..2186e023ea 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7662,3 +7662,29 @@ GraphQL API v4. It [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

* gnu/packages/golang.scm (go-gopkg-in-yaml-v3): New variable.
---
 gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 1ee6728a4f..2186e023ea 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7662,3 +7662,29 @@ GraphQL API v4.  It focuses on the following things:
 @end itemize")
     (license license:expat)))
 
+(define-public go-gopkg-in-yaml-v3
+  (package
+    (name "go-gopkg-in-yaml-v3")
+    (version "3.0.0-20210107192922-496545a6307b")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://gopkg.in/yaml.v3")
+               (commit (go-version->git-ref version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "06f4lnrp494wqaygv09dggr2dwf3z2bawqhnlnnwiamg5y787k4g"))))
+    (build-system go-build-system)
+    (arguments '(#:import-path "gopkg.in/yaml.v3"))
+    (native-inputs
+      `(("go-gopkg-in-check-v1" ,go-gopkg-in-check-v1)))
+    (home-page "https://gopkg.in/yaml.v3")
+    (synopsis "YAML support for the Go language")
+    (description "This library enables Go programs to comfortably encode and
+decode YAML values.  It is based on a pure Go port of the well-known libyaml C
+library to parse and generate YAML data quickly and reliably.")
+    (license (list license:expat
+                   license:asl2.0))))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 18:31:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 14:31:20 2021
Received: from localhost ([127.0.0.1]:58559 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS26C-00087f-49
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:20 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:39134
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lS26A-00086p-S9
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:19 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617301873;
 bh=LvOhFMgs+hSsPnFtvKyCyEkd4BIXRjRhbshngUoCo78=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=XvZG8F6xKgwd6pn4wCX/hF+mT1zDnW2/ez1Itr42QRgDfs+dfF7X88J87Zk7qDaH9
 D5GkhUpn+wp18hKzZ6GjAwMY90IGTkBwlCdHLuD2vaglL9k+UYNe7AVNG+cbmEk8iv
 1qq203LLH54h65ndiYNcCC2+FNNDBb1eXHn/nHdI=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH v2 21/26] gnu: Add go-github-com-rivo-uniseg.
In-Reply-To: <cover.1617301221.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <420c1ff64318c03a2eb1339e90ac4618413178bf.1617301221.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 20:31:12 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/golang.scm (go-github-com-rivo-uniseg): New
 variable. --- gnu/packages/golang.scm | 23 +++++++++++++++++++++++ 1 file
 changed, 23 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index c86a78cc98..1e6e5e7aa5 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7607,3 +7607,26 @@ projects.") charac [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-rivo-uniseg): New
    variable. --- gnu/packages/golang.scm | 23 +++++++++++++++++++++++ 1 file
    changed, 23 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index c86a78cc98..1e6e5e7aa5 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7607,3 +7607,26 @@ projects.") charac [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

* gnu/packages/golang.scm (go-github-com-rivo-uniseg): New variable.
---
 gnu/packages/golang.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index c86a78cc98..1e6e5e7aa5 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7607,3 +7607,26 @@ projects.")
 character or string.")
     (license license:expat)))
 
+(define-public go-github-com-rivo-uniseg
+  (package
+    (name "go-github-com-rivo-uniseg")
+    (version "0.2.0")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/rivo/uniseg.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "0j7h22vfmjj562vr8gpsyrkrwp1pq9ayh5fylv24skxb467g9f0q"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/rivo/uniseg"))
+    (home-page "https://github.com/rivo/uniseg")
+    (synopsis "Unicode Text Segmentation for Go")
+    (description "This package implements Unicode Text Segmentation according
+to @url{https://unicode.org/reports/tr29/,Unicode Standard Annex #29}.")
+    (license license:expat)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 18:31:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 14:31:19 2021
Received: from localhost ([127.0.0.1]:58556 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS26A-00087M-T5
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:19 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:39128
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lS269-00086m-Gr
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:17 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617301872;
 bh=I76BScDza2Zv6wicHLh45umEEpsFmy6Nuqfgtqs7UHs=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=RzG05xu7Q5tdKBuSAdbt5aOWFmQRmsOQs1R5OPNIOeAgntlyhuP0U13m7hyymbo/i
 f1/GHZvlNE+NpVexnhRvQZUmMJfL7Y9yQj2ac20ulxLw8XCYVQfnnPOYdQhgOkzEiV
 kRXj8/sw+JFZ4Wz7hHHDfMKnAIV4TD3pvhrxkRnQ=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH v2 20/26] gnu: Add go-github-com-mattn-go-runewidth.
In-Reply-To: <cover.1617301221.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <bbeb7277b448822c47d10ec8317d9e1d825556d2.1617301221.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 20:31:11 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm (go-github-com-mattn-go-runewidth):
 New variable. --- gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
 1 file changed,
 26 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 35187a9bb8..c86a78cc98 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7581,3 +7581,29 @@ command written in [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-mattn-go-runewidth):
    New variable. --- gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
    1 file changed, 26 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 35187a9bb8..c86a78cc98 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7581,3 +7581,29 @@ command written in [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

* gnu/packages/golang.scm (go-github-com-mattn-go-runewidth): New variable.
---
 gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 35187a9bb8..c86a78cc98 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7581,3 +7581,29 @@ command written in Go language.  It is also embedable as a library to other Go
 projects.")
     (license license:expat)))
 
+(define-public go-github-com-mattn-go-runewidth
+  (package
+    (name "go-github-com-mattn-go-runewidth")
+    (version "0.0.10")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/mattn/go-runewidth.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "0jh9552ppqvkdfni7x623n0x5mbiaqqhjhmr0zkh28x56k4ysii4"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/mattn/go-runewidth"))
+    (native-inputs
+      `(("go-github-com-rivo-uniseg"
+         ,go-github-com-rivo-uniseg)))
+    (home-page "https://github.com/mattn/go-runewidth")
+    (synopsis "Functions to get fixed width of the character or string")
+    (description "This package provides functions to get fixed width of the
+character or string.")
+    (license license:expat)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 18:31:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 14:31:18 2021
Received: from localhost ([127.0.0.1]:58554 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS26A-00087F-Lr
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:18 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:39116
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lS268-00086h-2t
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:16 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617301868;
 bh=Q8piPz40F7RFZLPFzOaWNeKD0BVbqKamZXhAAD//4aI=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=mf/1iEeRIoba0xwJrtRdW3TsU66Dnq9YNs4epQNKZ/ZpBKQGqtpC/QGebsen4sldq
 QyAmB2lQJTA647TKE04dNE1n23VkSHfm+r1xojJCxhDCueuxQx5LjxEXhCNlAwy452
 4oK4tn6VoOicd1OJ8m9nR1e4/eWZPtw35DVayaNo=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH v2 18/26] gnu: Add go-github-com-itchyny-timefmt-go.
In-Reply-To: <cover.1617301221.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <abb88565682f075d1be56c2778502d6bae4fbb7b.1617301221.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 20:31:07 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm (go-github-com-itchyny-timefmt-go):
 New variable. --- gnu/packages/golang.scm | 24 ++++++++++++++++++++++++ 1
 file changed,
 24 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 6707b15273..9023816f59 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7519,3 +7519,27 @@ provides more opti [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-itchyny-timefmt-go):
    New variable. --- gnu/packages/golang.scm | 24 ++++++++++++++++++++++++ 1
    file changed, 24 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 6707b15273..9023816f59 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7519,3 +7519,27 @@ provides more opti [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

* gnu/packages/golang.scm (go-github-com-itchyny-timefmt-go): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 6707b15273..9023816f59 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7519,3 +7519,27 @@ provides more options and uses reflection to provide a convenient and succinct
 way of specifying command line options.")
     (license license:bsd-3)))
 
+(define-public go-github-com-itchyny-timefmt-go
+  (package
+    (name "go-github-com-itchyny-timefmt-go")
+    (version "0.1.2")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/itchyny/timefmt-go.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "1hfpvmbmzp5zbzz84p030jzd00jclnf4zr16f9r5bbq7xlhncj0z"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/itchyny/timefmt-go"))
+    (home-page
+      "https://github.com/itchyny/timefmt-go")
+    (synopsis "Efficient time formatting library for Go")
+    (description "This package provides functions for formatting and parsing
+date time strings.")
+    (license license:expat)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 18:31:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 14:31:18 2021
Received: from localhost ([127.0.0.1]:58552 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS26A-00087C-EI
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:18 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:39122
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lS268-00086k-5H
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:31:16 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617301870;
 bh=uNhnljwEuwC/QXNS5PtRLu/+6mKdeWiA6LwsEVR3iGc=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=FP+YCHTstiJzw9uKLbHkfMrm0NrXsliuSjczBT+tsFp5fUKU8EFBr/2oBHGWpSb0T
 4o6mKwTjPqt9f6K10vt/S2XXfvo32z4WedoINrJGPNeooU9xP944slNKX54P81hi8B
 tpew+/eEHg5mMEpgc/OL+YDg9nECU/OFF4DapPfA=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH v2 19/26] gnu: Add go-github-com-itchyny-gojq.
In-Reply-To: <cover.1617301221.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <59be9d205cd56f067f8680d2658c26a16b49629e.1617301221.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 20:31:10 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm (go-github-com-itchyny-gojq): New
 variable. --- gnu/packages/golang.scm | 38
 ++++++++++++++++++++++++++++++++++++++ 1 file changed,
 38 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 9023816f59..35187a9bb8 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7543,3 +7543,41 @@ way of specifying [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-itchyny-gojq): New
    variable. --- gnu/packages/golang.scm | 38 ++++++++++++++++++++++++++++++++++++++
    1 file changed, 38 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 9023816f59..35187a9bb8 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7543,3 +7543,41 @@ way of specifying [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

* gnu/packages/golang.scm (go-github-com-itchyny-gojq): New variable.
---
 gnu/packages/golang.scm | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 9023816f59..35187a9bb8 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7543,3 +7543,41 @@ way of specifying command line options.")
 date time strings.")
     (license license:expat)))
 
+(define-public go-github-com-itchyny-gojq
+  (package
+    (name "go-github-com-itchyny-gojq")
+    (version "0.12.2")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/itchyny/gojq.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "1pxm341sgqkscwifpxlkvchz8ix3wivp80p59dv257kaa9diymgz"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/itchyny/gojq"))
+    (native-inputs
+      `(("go-gopkg-in-yaml-v3" ,go-gopkg-in-yaml-v3)
+        ("go-golang-org-x-sys" ,go-golang-org-x-sys)
+        ("go-github-com-mattn-go-runewidth"
+         ,go-github-com-mattn-go-runewidth)
+        ("go-github-com-mattn-go-isatty"
+         ,go-github-com-mattn-go-isatty)
+        ("go-github-com-itchyny-go-flags"
+         ,go-github-com-itchyny-go-flags)
+        ("go-github-com-google-go-cmp-cmp"
+         ,go-github-com-google-go-cmp-cmp)))
+    (propagated-inputs
+     `(("go-github-com-itchyny-timefmt-go"
+        ,go-github-com-itchyny-timefmt-go)))
+    (home-page "https://github.com/itchyny/gojq")
+    (synopsis "Pure Go implementation of jq")
+    (description "This package provides an implementation of @command{jq}
+command written in Go language.  It is also embedable as a library to other Go
+projects.")
+    (license license:expat)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 18:16:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 14:16:21 2021
Received: from localhost ([127.0.0.1]:58532 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS1rh-0007jv-8N
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:16:21 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:38814
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lS1rf-0007jf-Oh
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:16:20 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617300971;
 bh=5otnlf2n+uheaKpCUKrnDJjXUy91ufePCuZTz7KUW8U=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=QD7AM2ZKGmHyC0gCE1Jn18XpteYFYNKaj8x/YL2t7rmFM1mg/nNGRdzK1U7FRdNIU
 bqXlXTrpC1WMdoMMlp3AePUegRpbuIllybpDwhNbawudvPiGGMRJTfQyROARvPZnXL
 //LjTtj0dZ4EeMzhdbtbrrlYybu44mQxPhrgaeKM=
To: Leo Prikler <leo.prikler@HIDDEN>, 47539 <at> debbugs.gnu.org
Subject: Re: [bug#47539] [PATCH 00/28] Add gh and dependencies
In-Reply-To: <ed90b9073694d7d9e858cc46650c0a7a25b19866.camel@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
 <7f41ded1648030ed8f4db3165bfe4ccb2cb6b2a9.camel@HIDDEN>
 <87czve3vrg.fsf@HIDDEN> <877dlm3rak.fsf@HIDDEN>
 <ccf4a684d4ea9a91d51e3dc8ce70fd6152707ea0.camel@HIDDEN>
 <871rbt519u.fsf@HIDDEN>
 <ed90b9073694d7d9e858cc46650c0a7a25b19866.camel@HIDDEN>
Date: Thu, 01 Apr 2021 20:16:11 +0200
Message-ID: <87y2e13m6s.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Thu, Apr 01 2021, Leo Prikler wrote: > Am Donnerstag, den
 01.04.2021, 20:05 +0200 schrieb Xinglu Chen: >> >> Thank you for the pointer, 
 I managed to get it to work with the >> following snippet: >> >> #+begin_src
 scheme >> (add-after 'un [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Thu, Apr 01 2021, Leo Prikler wrote: > Am Donnerstag, den
    01.04.2021, 20:05 +0200 schrieb Xinglu Chen: >> >> Thank you for the pointer,
    I managed to get it to work with the >> following snippet: >> >> #+begin_src
    scheme >> (add-after 'un [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD

On Thu, Apr 01 2021, Leo Prikler wrote:

> Am Donnerstag, den 01.04.2021, 20:05 +0200 schrieb Xinglu Chen:
>> 
>> Thank you for the pointer, I managed to get it to work with the
>> following snippet:
>> 
>> #+begin_src scheme
>> (add-after 'unpack 'remove-safeexec
>>            (lambda* (#:key outputs #:allow-other-keys)
>>              (let ((prefix-file (lambda (file)
>>                              (string-append "src/github.com/cli/cli/"
>> file))))
>>                ;; 'github.com/cli/safeexec' is only used for Windows,
>> we
>>                ;; replace it with the regular 'os/exec'.  See
>>                ;; <https://issues.guix.gnu.org/47539> for discussion.
>>                (substitute* (map prefix-file
>>                                  '("pkg/cmd/alias/expand/expand.go"
>>                                    "script/build.go"))
>>                  (("github.com/cli/safeexec") "os/exec")
>>                  (("safeexec") "exec"))
>>                ;; These files have already imported 'os/exec',
>> meaning that
>>                ;; 'os/exec' would get imported twice, causing an
>> error.
>>                ;; Instead, we just remove the
>> 'github.com/cli/safeexec'.
>>                (substitute* (map prefix-file
>>                                  '("cmd/gh/main.go"
>>                                    "git/git.go"
>>                                    "pkg/iostreams/iostreams.go"
>>                                    "pkg/cmd/auth/shared/ssh_keys.go"
>>                                    "pkg/cmd/pr/checkout/checkout.go"
>>                                    "pkg/cmdutil/web_browser.go"
>>                                    "pkg/surveyext/editor_manual.go"))
>>                  (("\"github.com/cli/safeexec\"") "")
>>                  (("safeexec") "exec")))))
>> #+end_src
> This should probably be implemented with directory excursions, but
> other than that if it works for you, then LGTM :)

Ah, I didn't know about that.  Thanks for pointing this out. :)




Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 18:10:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 14:10:58 2021
Received: from localhost ([127.0.0.1]:58527 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS1mU-0007bk-Hm
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:10:58 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:7120)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1lS1mS-0007bY-5g
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:10:57 -0400
Received: from nijino.local (194-96-13-79.adsl.highway.telekom.at
 [194.96.13.79])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4FBB7c1Dskz1LgFR;
 Thu,  1 Apr 2021 20:10:51 +0200 (CEST)
DKIM-Filter: OpenDKIM Filter v2.11.0 mailrelay.tugraz.at 4FBB7c1Dskz1LgFR
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1617300652;
 bh=UVKX5mqQIjSJ6tB40mUcGL2P58uF+DS7DVkEhCAFVS8=;
 h=Subject:From:To:Date:In-Reply-To:References:From;
 b=Ab2FneBQvj2HQbx/mMXQ8OJNnpPKqXhHFk+45rryzqHlw24uNyDuQtq39r4isF/3/
 J5jPSC74PtKqXCqV8yYpbKlrQBO5Z0AtouojA1BhWWsb+s9FNYXsDAyIUBjmLvP36X
 A4sfSw9NBXlZhus5p3Ixkit/Kn8DGygtpBWh7VPo=
Message-ID: <ed90b9073694d7d9e858cc46650c0a7a25b19866.camel@HIDDEN>
Subject: Re: [ SPAM? ] Re: [bug#47539] [PATCH 00/28] Add gh and dependencies
From: Leo Prikler <leo.prikler@HIDDEN>
To: Xinglu Chen <public@HIDDEN>, 47539 <at> debbugs.gnu.org
Date: Thu, 01 Apr 2021 20:10:51 +0200
In-Reply-To: <871rbt519u.fsf@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
 <7f41ded1648030ed8f4db3165bfe4ccb2cb6b2a9.camel@HIDDEN>
 <87czve3vrg.fsf@HIDDEN> <877dlm3rak.fsf@HIDDEN>
 <ccf4a684d4ea9a91d51e3dc8ce70fd6152707ea0.camel@HIDDEN>
 <871rbt519u.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Am Donnerstag, den 01.04.2021, 20:05 +0200 schrieb Xinglu Chen:
> On Thu, Apr 01 2021, Leo Prikler wrote:
> 
> > > Compiling github-cli without the package doesn't work, and the
> > > package is used in multiple places in the source code.  I don't
> > > really know what we can do here.  Should I open an issue on their
> > > GitHub page, or just leave it as is?
> > For now, I don't think this is going to be a blocking issue, as
> > long as
> > the package and the input are appropriately marked, e.g. with
> > comments,
> > and we make sure not to endorse the Microsoft OS through them.  
> > As to how we might handle this, we could do our own investigations
> > into
> > dropping the dependency, but asking a question (make sure to tag it
> > as
> > such) should work as well.  Also be clear, that the goal is not
> > necessarily to remove the dependency altogether, but rather make it
> > an
> > optional one.
> > 
> > After doing some quick investigations myself, I think the following
> > pair of substitute*s might work:
> >   (("github.com/cli/safeexec") "os/exec")
> >   (("safeexec") "exec")
> 
> Thank you for the pointer, I managed to get it to work with the
> following snippet:
> 
> #+begin_src scheme
> (add-after 'unpack 'remove-safeexec
>            (lambda* (#:key outputs #:allow-other-keys)
>              (let ((prefix-file (lambda (file)
>                              (string-append "src/github.com/cli/cli/"
> file))))
>                ;; 'github.com/cli/safeexec' is only used for Windows,
> we
>                ;; replace it with the regular 'os/exec'.  See
>                ;; <https://issues.guix.gnu.org/47539> for discussion.
>                (substitute* (map prefix-file
>                                  '("pkg/cmd/alias/expand/expand.go"
>                                    "script/build.go"))
>                  (("github.com/cli/safeexec") "os/exec")
>                  (("safeexec") "exec"))
>                ;; These files have already imported 'os/exec',
> meaning that
>                ;; 'os/exec' would get imported twice, causing an
> error.
>                ;; Instead, we just remove the
> 'github.com/cli/safeexec'.
>                (substitute* (map prefix-file
>                                  '("cmd/gh/main.go"
>                                    "git/git.go"
>                                    "pkg/iostreams/iostreams.go"
>                                    "pkg/cmd/auth/shared/ssh_keys.go"
>                                    "pkg/cmd/pr/checkout/checkout.go"
>                                    "pkg/cmdutil/web_browser.go"
>                                    "pkg/surveyext/editor_manual.go"))
>                  (("\"github.com/cli/safeexec\"") "")
>                  (("safeexec") "exec")))))
> #+end_src
This should probably be implemented with directory excursions, but
other than that if it works for you, then LGTM :)





Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 18:05:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 14:05:14 2021
Received: from localhost ([127.0.0.1]:58523 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS1gv-0007Ta-OA
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:05:14 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:38552
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lS1gs-0007TF-BU
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 14:05:12 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617300302;
 bh=iLEyfTWyNw7mpe0JnUim0uDoId7p3Y7BbXosSX6d22I=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=Wa2xmmFIdpO14+fwOi3xsllxv9gz7xRf4AJO1ZzIl+Jpespd1wwpDPvgS6viwBvcI
 ULK3Ulq8Yk5Oj34cUo+9APznTBmYlmDdNUygDpleuZeGJf72MS9iQIZdyv8RqAJpex
 uyBHdwFfb53pRPgVXNQfxvnblt3zHRmfICY3u/8Q=
To: Leo Prikler <leo.prikler@HIDDEN>, 47539 <at> debbugs.gnu.org
Subject: Re: [bug#47539] [PATCH 00/28] Add gh and dependencies
In-Reply-To: <ccf4a684d4ea9a91d51e3dc8ce70fd6152707ea0.camel@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
 <7f41ded1648030ed8f4db3165bfe4ccb2cb6b2a9.camel@HIDDEN>
 <87czve3vrg.fsf@HIDDEN> <877dlm3rak.fsf@HIDDEN>
 <ccf4a684d4ea9a91d51e3dc8ce70fd6152707ea0.camel@HIDDEN>
Date: Thu, 01 Apr 2021 20:05:01 +0200
Message-ID: <871rbt519u.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Thu, Apr 01 2021,
 Leo Prikler wrote: >> Compiling github-cli
 without the package doesn't work, and the >> package is used in multiple
 places in the source code. I don't >> really know what we can do here. Should
 I open an issue on their [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Thu, Apr 01 2021, Leo Prikler wrote: >> Compiling github-cli
    without the package doesn't work, and the >> package is used in multiple
   places in the source code. I don't >> really know what we can do here. Should
    I open an issue on their [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD

On Thu, Apr 01 2021, Leo Prikler wrote:

>> Compiling github-cli without the package doesn't work, and the
>> package is used in multiple places in the source code.  I don't
>> really know what we can do here.  Should I open an issue on their
>> GitHub page, or just leave it as is?
> For now, I don't think this is going to be a blocking issue, as long as
> the package and the input are appropriately marked, e.g. with comments,
> and we make sure not to endorse the Microsoft OS through them.  
> As to how we might handle this, we could do our own investigations into
> dropping the dependency, but asking a question (make sure to tag it as
> such) should work as well.  Also be clear, that the goal is not
> necessarily to remove the dependency altogether, but rather make it an
> optional one.
>
> After doing some quick investigations myself, I think the following
> pair of substitute*s might work:
>   (("github.com/cli/safeexec") "os/exec")
>   (("safeexec") "exec")

Thank you for the pointer, I managed to get it to work with the
following snippet:

#+begin_src scheme
(add-after 'unpack 'remove-safeexec
           (lambda* (#:key outputs #:allow-other-keys)
             (let ((prefix-file (lambda (file)
                             (string-append "src/github.com/cli/cli/" file))))
               ;; 'github.com/cli/safeexec' is only used for Windows, we
               ;; replace it with the regular 'os/exec'.  See
               ;; <https://issues.guix.gnu.org/47539> for discussion.
               (substitute* (map prefix-file
                                 '("pkg/cmd/alias/expand/expand.go"
                                   "script/build.go"))
                 (("github.com/cli/safeexec") "os/exec")
                 (("safeexec") "exec"))
               ;; These files have already imported 'os/exec', meaning that
               ;; 'os/exec' would get imported twice, causing an error.
               ;; Instead, we just remove the 'github.com/cli/safeexec'.
               (substitute* (map prefix-file
                                 '("cmd/gh/main.go"
                                   "git/git.go"
                                   "pkg/iostreams/iostreams.go"
                                   "pkg/cmd/auth/shared/ssh_keys.go"
                                   "pkg/cmd/pr/checkout/checkout.go"
                                   "pkg/cmdutil/web_browser.go"
                                   "pkg/surveyext/editor_manual.go"))
                 (("\"github.com/cli/safeexec\"") "")
                 (("safeexec") "exec")))))
#+end_src

I also used it to open an issue and everything worked as expected.




Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 17:22:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 13:22:05 2021
Received: from localhost ([127.0.0.1]:58495 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS11B-0006Os-0k
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 13:22:05 -0400
Received: from minsky.hcoop.net ([104.248.1.95]:36794)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jackhill@HIDDEN>) id 1lS119-0006OL-37
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 13:22:03 -0400
Received: from marsh.hcoop.net ([45.55.52.66])
 by minsky.hcoop.net with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <jackhill@HIDDEN>)
 id 1lS10x-000379-6b; Thu, 01 Apr 2021 13:21:51 -0400
Date: Thu, 1 Apr 2021 13:21:50 -0400 (EDT)
From: Jack Hill <jackhill@HIDDEN>
X-X-Sender: jackhill@HIDDEN
To: Leo Prikler <leo.prikler@HIDDEN>
Subject: Re: [bug#47539] [PATCH 00/28] Add gh and dependencies
In-Reply-To: <ccf4a684d4ea9a91d51e3dc8ce70fd6152707ea0.camel@HIDDEN>
Message-ID: <alpine.DEB.2.21.2104011305050.8138@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
 <7f41ded1648030ed8f4db3165bfe4ccb2cb6b2a9.camel@HIDDEN>
 <87czve3vrg.fsf@HIDDEN> <877dlm3rak.fsf@HIDDEN>
 <ccf4a684d4ea9a91d51e3dc8ce70fd6152707ea0.camel@HIDDEN>
User-Agent: Alpine 2.21 (DEB 202 2017-01-01)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII; format=flowed
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47539
Cc: 47539 <at> debbugs.gnu.org, Xinglu Chen <public@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Thu, 1 Apr 2021, Leo Prikler wrote:

> After doing some quick investigations myself, I think the following
> pair of substitute*s might work:
>  (("github.com/cli/safeexec") "os/exec")
>  (("safeexec") "exec")

I happened to be reading the Go blog post about command path security [0]. 
I haven't looked at it very closely, but I'm hopeful that future gh 
versions may be able to get safeexec-like behavior from the Go standard 
library.

[0] https://blog.golang.org/path-security

Best,
Jack




Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 16:47:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 12:47:07 2021
Received: from localhost ([127.0.0.1]:58445 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS0TL-0005LK-3H
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 12:47:07 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:65118)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1lS0TI-0005LA-R9
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 12:47:05 -0400
Received: from nijino.local (194-96-13-79.adsl.highway.telekom.at
 [194.96.13.79])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4FB8Gr6zPvz3yrT;
 Thu,  1 Apr 2021 18:47:00 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1617295621;
 bh=yILHdmyWrDrtZ09mIO1pxUpN5waCXzPKIjGXg97dGAA=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=GVNud+dfurv1+KGzLWTDe+KXbxHShkzWgodGAuOwlXvGHfdbkiU7uAtpapyDyY5Ct
 1Gaq8CK11WBg2PYoU2MdRR89T3a7irlD1fIpYm3cezEBKrhBd2lu9G3+acYvaH/5oA
 GlyU1xpeVFFkczSi/58eiUbzy08TNOCOXMxJj/bo=
Message-ID: <ccf4a684d4ea9a91d51e3dc8ce70fd6152707ea0.camel@HIDDEN>
Subject: Re: [bug#47539] [PATCH 00/28] Add gh and dependencies
From: Leo Prikler <leo.prikler@HIDDEN>
To: Xinglu Chen <public@HIDDEN>, 47539 <at> debbugs.gnu.org
Date: Thu, 01 Apr 2021 18:47:00 +0200
In-Reply-To: <877dlm3rak.fsf@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
 <7f41ded1648030ed8f4db3165bfe4ccb2cb6b2a9.camel@HIDDEN>
 <87czve3vrg.fsf@HIDDEN> <877dlm3rak.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Am Donnerstag, den 01.04.2021, 18:25 +0200 schrieb Xinglu Chen:
> On Thu, Apr 01 2021, Xinglu Chen wrote:
> 
> > > > - When building'gh', I couldn't get
> > > >   'go-github-com-charmbracelet-glamour' to build without moving
> > > > some
> > > >   native-inputs to propagated-inputs, though, if I was only
> > > > building
> > > >   'go-github-com-charmbracelet-glamour' it would build without
> > > > moving
> > > >   things to propagated-inputs.  I am not sure why this happens.
> > > Perhaps you need to add those native inputs as native inputs to
> > > gh as
> > > well?  Try adding its native inputs to gh and see whether that
> > > changes
> > > something.
> > 
> > I will try and report back.
> 
> Adding the packages as native-inputs for github-cli fixed the
> problem.
> Thank you!
You're welcome.

> > > > - The patch marked with 'W' adds a package which is needed by
> > > > 'gh',
> > > >   but only used on Windows.  It is still Free Software (BSD-2), 
> > > > but I
> > > >   have also marked it as hidden.
> > > This is at least in some sense an acceptable workaround, but how
> > > large
> > > would the effort be to outright drop references to this package,
> > > given
> > > that it's already not "actively" being used?
> > 
> > I am not familiar with the Go ecosystem so I don't know if this
> > will be
> > possible, but I will look into it.
> 
> Compiling github-cli without the package doesn't work, and the
> package
> is used in multiple places in the source code.  I don't really know
> what
> we can do here.  Should I open an issue on their GitHub page, or just
> leave it as is?
For now, I don't think this is going to be a blocking issue, as long as
the package and the input are appropriately marked, e.g. with comments,
and we make sure not to endorse the Microsoft OS through them.  
As to how we might handle this, we could do our own investigations into
dropping the dependency, but asking a question (make sure to tag it as
such) should work as well.  Also be clear, that the goal is not
necessarily to remove the dependency altogether, but rather make it an
optional one.

After doing some quick investigations myself, I think the following
pair of substitute*s might work:
  (("github.com/cli/safeexec") "os/exec")
  (("safeexec") "exec")

Regards,
Leo





Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 16:26:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 12:26:06 2021
Received: from localhost ([127.0.0.1]:58427 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS090-0004n4-1S
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 12:26:06 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:36480
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lS08x-0004mY-Tg
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 12:26:05 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617294356;
 bh=75Ix07JfRXEH3iz+nTg/NM28N2bNPT+/SBsoVJ17RGA=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=uRgeNZ/0Hv0+XmBFqbwMY6sykyQEqczKdb3lh13r1B0XKGaIqPM/FKWQiI8xmnY0V
 LyUY83K1vgkfxXcqhGMnlMnHQ3bTJ5srG4PF+ZfCZz8VzzcDmRTYRkqZ3oKYUfTUYu
 LdiGSthMfK3hZU7IW0ewdAjqAP4B4l+sH0EvEiA4=
To: Leo Prikler <leo.prikler@HIDDEN>, 47539 <at> debbugs.gnu.org
Subject: Re: [bug#47539] [PATCH 00/28] Add gh and dependencies
In-Reply-To: <87czve3vrg.fsf@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
 <7f41ded1648030ed8f4db3165bfe4ccb2cb6b2a9.camel@HIDDEN>
 <87czve3vrg.fsf@HIDDEN>
Date: Thu, 01 Apr 2021 18:25:55 +0200
Message-ID: <877dlm3rak.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Thu, Apr 01 2021,
 Xinglu Chen wrote: >>> - When building'gh', 
 I couldn't get >>> 'go-github-com-charmbracelet-glamour' to build without
 moving some >>> native-inputs to propagated-inputs, though, if I was only
 building >>> 'go-github-com [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Thu, Apr 01 2021, Xinglu Chen wrote: >>> - When building'gh',
    I couldn't get >>> 'go-github-com-charmbracelet-glamour' to build without
    moving some >>> native-inputs to propagated-inputs, though, if I was only
    building >>> 'go-github-com [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD

On Thu, Apr 01 2021, Xinglu Chen wrote:

>>> - When building'gh', I couldn't get
>>>   'go-github-com-charmbracelet-glamour' to build without moving some
>>>   native-inputs to propagated-inputs, though, if I was only building
>>>   'go-github-com-charmbracelet-glamour' it would build without moving
>>>   things to propagated-inputs.  I am not sure why this happens.
>> Perhaps you need to add those native inputs as native inputs to gh as
>> well?  Try adding its native inputs to gh and see whether that changes
>> something.
>
> I will try and report back.

Adding the packages as native-inputs for github-cli fixed the problem.
Thank you!

>>> - The patch marked with 'W' adds a package which is needed by 'gh',
>>>   but only used on Windows.  It is still Free Software (BSD-2), but I
>>>   have also marked it as hidden.
>> This is at least in some sense an acceptable workaround, but how large
>> would the effort be to outright drop references to this package, given
>> that it's already not "actively" being used?
>
> I am not familiar with the Go ecosystem so I don't know if this will be
> possible, but I will look into it.

Compiling github-cli without the package doesn't work, and the package
is used in multiple places in the source code.  I don't really know what
we can do here.  Should I open an issue on their GitHub page, or just
leave it as is?




Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 16:20:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 12:20:20 2021
Received: from localhost ([127.0.0.1]:58423 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS03Q-0004eN-Bx
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 12:20:20 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:51938)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1lS03N-0004eB-Mc
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 12:20:18 -0400
Received: from nijino.local (194-96-13-79.adsl.highway.telekom.at
 [194.96.13.79])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4FB7gx6Ypjz3yrD;
 Thu,  1 Apr 2021 18:20:13 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1617294014;
 bh=mskJVoUrWbGOjoxIGkkalkfZDpM3F/d0PuYfk26kaHc=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=sAYiLga8GJQs6GI76fQDK7n0w470it2cfuXeDg8giB+oth1Wrt0ZvnSNU8YosmVFx
 vx8hUY2THYnkQw3t1z7KzEo+Ah6hU/dAXNoMOGT+/xnSyaQa9+Fmw7c72RkpD/PKgB
 P/ChMHamuuBxQKcSoxwhLe8huA3dxLqP9vN8q1/M=
Message-ID: <b56cb21fbd22a3b4c62de8baef25a3a1822389db.camel@HIDDEN>
Subject: Re: [PATCH 00/28] Add gh and dependencies
From: Leo Prikler <leo.prikler@HIDDEN>
To: Xinglu Chen <public@HIDDEN>, 47539 <at> debbugs.gnu.org
Date: Thu, 01 Apr 2021 18:20:12 +0200
In-Reply-To: <87czve3vrg.fsf@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
 <7f41ded1648030ed8f4db3165bfe4ccb2cb6b2a9.camel@HIDDEN>
 <87czve3vrg.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,
Am Donnerstag, den 01.04.2021, 16:49 +0200 schrieb Xinglu Chen:
> > > - The patch marked with 'D' adds a package which has been
> > > deprecated
> > >   by upstream, but it is still needed by one of the packages that
> > > 'gh'
> > >   depend on.  I have marked it as a hidden package, let me know
> > > if this
> > >   is the right decision.
> > Yes, we do so for other packages as well, that require outdated or
> > otherwise modified versions, that should not show up in user
> > profiles
> > unless they really, really want to and use manifests to achieve
> > their
> > goals.
> 
> Good to know, I will have to mark 'go-github-com-cli-shurcool-
> graphql'
> as hidden as well since it's GitHubs' fork of
> 'go-github-com-shurcool-graphql' and most likely only used by 'gh'.
Just to clarify, I don't think that hiding will be necessary for this
package (since it differs by name), but it might still be a good idea
to hide it if you have a justification for doing so.  That said, your
judgement on this matter is probably going to be better than mine.

Regards,
Leo





Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 14:49:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 10:49:34 2021
Received: from localhost ([127.0.0.1]:58235 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRyda-0002G0-N8
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 10:49:34 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:34490
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lRydY-0002Fl-VK
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 10:49:33 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617288564;
 bh=XJikYa0FB5YYYQgbIgx63IYeDV/Ol33jZoRODUXhlXI=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=ha4WoTfd4StXbWooYNyKI4+bENhGiRWYn8z9QXInwGuuzUo/57f7CJI/7vW2BSF66
 7J0eBx4uWSNGXaXzgWe7KiOKgP8zyaeW0fe+obklGImOwN0O63qBs/FxowEjLXiTiY
 sD4tdkyppAM9qcynWicDxFLdFU8yQrw/b+jOKPZE=
To: Leo Prikler <leo.prikler@HIDDEN>, 47539 <at> debbugs.gnu.org
Subject: Re: [PATCH 00/28] Add gh and dependencies
In-Reply-To: <7f41ded1648030ed8f4db3165bfe4ccb2cb6b2a9.camel@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
 <7f41ded1648030ed8f4db3165bfe4ccb2cb6b2a9.camel@HIDDEN>
Date: Thu, 01 Apr 2021 16:49:23 +0200
Message-ID: <87czve3vrg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Thu, Apr 01 2021, Leo Prikler wrote: > Hi,
 > > Am Donnerstag, 
 den 01.04.2021, 09:51 +0200 schrieb Xinglu Chen: >> This patchset adds the
 'gh' package, a CLI interface to GitHub. The >> Go importer did most of the
 work. :) > I am not expe [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Thu, Apr 01 2021, Leo Prikler wrote: > Hi, > > Am Donnerstag,
    den 01.04.2021, 09:51 +0200 schrieb Xinglu Chen: >> This patchset adds the
    'gh' package, a CLI interface to GitHub. The >> Go importer did most of the
    work. :) > I am not expe [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD

On Thu, Apr 01 2021, Leo Prikler wrote:

> Hi,
>
> Am Donnerstag, den 01.04.2021, 09:51 +0200 schrieb Xinglu Chen:
>> This patchset adds the 'gh' package, a CLI interface to GitHub.  The
>> Go importer did most of the work. :)
> I am not experienced with Go, so I can't comment on the rest too much,
> but I wanted to point out, that single, double and triple letter
> packages are (imo rightly) frowned upon in the Guix project. 
> Considering, that this is the *official* Github CLI tool, a name like
> "github-cli" would probably make more sense here.

Oh yeah, I saw the thread on guix-devel, I should have thought of this.

>> - When building'gh', I couldn't get
>>   'go-github-com-charmbracelet-glamour' to build without moving some
>>   native-inputs to propagated-inputs, though, if I was only building
>>   'go-github-com-charmbracelet-glamour' it would build without moving
>>   things to propagated-inputs.  I am not sure why this happens.
> Perhaps you need to add those native inputs as native inputs to gh as
> well?  Try adding its native inputs to gh and see whether that changes
> something.

I will try and report back.

>> - The patch marked with 'D' adds a package which has been deprecated
>>   by upstream, but it is still needed by one of the packages that 'gh'
>>   depend on.  I have marked it as a hidden package, let me know if this
>>   is the right decision.
> Yes, we do so for other packages as well, that require outdated or
> otherwise modified versions, that should not show up in user profiles
> unless they really, really want to and use manifests to achieve their
> goals.

Good to know, I will have to mark 'go-github-com-cli-shurcool-graphql'
as hidden as well since it's GitHubs' fork of
'go-github-com-shurcool-graphql' and most likely only used by 'gh'.

>> - The patch marked with 'W' adds a package which is needed by 'gh',
>>   but only used on Windows.  It is still Free Software (BSD-2), but I
>>   have also marked it as hidden.
> This is at least in some sense an acceptable workaround, but how large
> would the effort be to outright drop references to this package, given
> that it's already not "actively" being used?

I am not familiar with the Go ecosystem so I don't know if this will be
possible, but I will look into it.

Thank you for the rewiew!




Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 10:08:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 06:08:21 2021
Received: from localhost ([127.0.0.1]:56388 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRuFR-0002eB-GI
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 06:08:21 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:19362)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1lRuFP-0002e1-QH
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 06:08:20 -0400
Received: from nijino.local (194-96-13-79.adsl.highway.telekom.at
 [194.96.13.79])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4F9zQm0vD4z1Ldvn;
 Thu,  1 Apr 2021 12:08:15 +0200 (CEST)
DKIM-Filter: OpenDKIM Filter v2.11.0 mailrelay.tugraz.at 4F9zQm0vD4z1Ldvn
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1617271696;
 bh=f1U4oHg1huv7rx4J+iRSTN7rhh0xfU4qu6EbbTzJO+Y=;
 h=Subject:From:To:Date:In-Reply-To:References:From;
 b=m56Eb79Eq5/zpQCX8oRM7d9YGKCbbBfXHDTq3VGFxOOauTLyoE61KPkMu2GPlfo3k
 27D5rdcYbDHBTB1e2/6WyU4jtxIFgfhJWNQKBaMlY+sXRPMgQzeEAVM4cji0zDZSZv
 DEFa6b1u2CQ8C4lSiy4Ah0SCMs3hMPi0/NpHljN4=
Message-ID: <7f41ded1648030ed8f4db3165bfe4ccb2cb6b2a9.camel@HIDDEN>
Subject: Re: [PATCH 00/28] Add gh and dependencies
From: Leo Prikler <leo.prikler@HIDDEN>
To: Xinglu Chen <public@HIDDEN>, 47539 <at> debbugs.gnu.org
Date: Thu, 01 Apr 2021 12:08:15 +0200
In-Reply-To: <cover.1617262223.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Am Donnerstag, den 01.04.2021, 09:51 +0200 schrieb Xinglu Chen:
> This patchset adds the 'gh' package, a CLI interface to GitHub.  The
> Go
> importer did most of the work. :)
I am not experienced with Go, so I can't comment on the rest too much,
but I wanted to point out, that single, double and triple letter
packages are (imo rightly) frowned upon in the Guix project. 
Considering, that this is the *official* Github CLI tool, a name like
"github-cli" would probably make more sense here.

> Some things to note:
> 
> - When building'gh', I couldn't get
>   'go-github-com-charmbracelet-glamour' to build without moving some
>   native-inputs to propagated-inputs, though, if I was only building
>   'go-github-com-charmbracelet-glamour' it would build without moving
>   things to propagated-inputs.  I am not sure why this happens.
Perhaps you need to add those native inputs as native inputs to gh as
well?  Try adding its native inputs to gh and see whether that changes
something.

> - I found that (gnu packages syncthing) contained quite a few Go
>   packages, I think it would make sense to move those packages to
> (gnu
>   packages golang), and move the Syncthing package to (gnu packages
>   sync).  This would be done in a separate commit though.
Indeed, that should probably done in a separate set.

> - The patch marked with 'D' adds a package which has been deprecated
> by
>   upstream, but it is still needed by one of the packages that 'gh'
>   depend on.  I have marked it as a hidden package, let me know if
> this
>   is the right decision.
Yes, we do so for other packages as well, that require outdated or
otherwise modified versions, that should not show up in user profiles
unless they really, really want to and use manifests to achieve their
goals.

> - The patch marked with 'W' adds a package which is needed by 'gh',
> but
>   only used on Windows.  It is still Free Software (BSD-2), but I
> have
>   also marked it as hidden.
This is at least in some sense an acceptable workaround, but how large
would the effort be to outright drop references to this package, given
that it's already not "actively" being used?

Regards,
Leo






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 08:02:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 04:02:43 2021
Received: from localhost ([127.0.0.1]:56171 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRsHr-0007oZ-1t
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:43 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54370
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lRsHn-0007mD-Lw
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:40 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617264154;
 bh=nR9c+ebV/s7gc0kNkbypnJCUSmzzAWFkYOMUJNCDKas=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=dgNW+FbmWOZqEp/RB2CXUPiQ/A/S60RvGD3lxe4UY2WKOJJrxGtfhTInVGKrTiz2+
 JauCsDnjXXNfst1zH6LHM5bMPsSVr1+A4LM2tL6hjQdVyJqUzbpbuHK2k7XzQP1+y5
 mb7Kfvp5egh/H837ik+rIH/PhhF1TmjZfqI3OhCI=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH 17/28] gnu: Add go-github-com-google-shlex.
In-Reply-To: <cover.1617262223.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <8042622f663d83e5b6b282d4c4eb19d2044b32e6.1617262223.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 10:02:33 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm (go-github-com-google-shlex): New
 variable. --- gnu/packages/golang.scm | 23 +++++++++++++++++++++++ 1 file
 changed, 23 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 8e942fa955..fafe3fc226 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7467,3 +7467,26 @@ based on magic num [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-google-shlex): New
    variable. --- gnu/packages/golang.scm | 23 +++++++++++++++++++++++ 1 file
    changed, 23 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 8e942fa955..fafe3fc226 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7467,3 +7467,26 @@ based on magic num [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

* gnu/packages/golang.scm (go-github-com-google-shlex): New variable.
---
 gnu/packages/golang.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 8e942fa955..fafe3fc226 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7467,3 +7467,26 @@ based on magic numbers.  Features include
 @end itemize")
     (license license:expat)))
 
+(define-public go-github-com-google-shlex
+  (package
+    (name "go-github-com-google-shlex")
+    (version "0.0.0-20191202100458-e7afc7fbc510")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/google/shlex.git")
+               (commit (go-version->git-ref version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "14z8hqyik910wk2qwnzgz8mjsmiamxa0pj55ahbv0jx6j3dgvzfm"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/google/shlex"))
+    (home-page "https://github.com/google/shlex")
+    (synopsis "Simple lexer for Go")
+    (description "This library provides is a simple lexer for Go that supports
+shell-style quoting, commenting, and escaping.")
+    (license license:asl2.0)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 08:02:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 04:02:43 2021
Received: from localhost ([127.0.0.1]:56169 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRsHq-0007oS-Mt
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:43 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54364
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lRsHm-0007m6-V5
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:39 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617264153;
 bh=ut/WCNPGa32VY3yoU8+svDs8dvDwGSky/QTnWxp8GKE=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=dyxxyIwQqZLEn/SzQShhwuXNMhLAylPr6FJh8umhGp4ChG2/gEhBbW0BQBWESeO+3
 4LosZlFH3i4MV/EJwwXK7Bpd8oswSJ1JiLHKFILWrNm0VliuarH4uJNuWCMk6MWjnC
 vAo92oBPDuA0iVrEuujKCpEVCvOGhO0gOx6ZuK7s=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH 16/28] gnu: Add go-github-com-gabriel-vasile-mimetype.
In-Reply-To: <cover.1617262223.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <547d56b310ce40416b8d895b92f461711e5696f4.1617262223.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 10:02:32 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm
 (go-github-com-gabriel-vasile-mimetype):
 New variable. --- gnu/packages/golang.scm | 47
 +++++++++++++++++++++++++++++++++++++++++ 1 file changed,
 47 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 11eb330d6d..8e942fa955 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7420,3 +7420,50 @@ anchor names and l [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-gabriel-vasile-mimetype):
    New variable. --- gnu/packages/golang.scm | 47 +++++++++++++++++++++++++++++++++++++++++
    1 file changed, 47 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 11eb330d6d..8e942fa955 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7420,3 +7420,50 @@ anchor names and l [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

* gnu/packages/golang.scm (go-github-com-gabriel-vasile-mimetype): New variable.
---
 gnu/packages/golang.scm | 47 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 11eb330d6d..8e942fa955 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7420,3 +7420,50 @@ anchor names and links to those anchors.")
 Go.  It lets you use emoji characters in strings.")
     (license license:expat)))
 
+(define-public go-github-com-gabriel-vasile-mimetype
+  (package
+    (name "go-github-com-gabriel-vasile-mimetype")
+    (version "1.2.0")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/gabriel-vasile/mimetype.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "0ysb0pjhyr9b7q2y39b5hpwsaidgfl42gd07yj34mgmb9wfjb7ch"))))
+    (build-system go-build-system)
+    (arguments
+     '(#:import-path
+       "github.com/gabriel-vasile/mimetype"
+       ;; FIXME: Cannot open 'supported_mimes.md'
+       #:tests? #f
+       #:phases
+       (modify-phases %standard-phases
+         ;; The files are read-only
+         (add-before 'reset-gzip-timestamps 'make-gz-files-writable
+           (lambda* (#:key outputs #:allow-other-keys)
+             (for-each make-file-writable
+                       (find-files (string-append (assoc-ref outputs "out"))
+                                   ".*\\.gz$"))
+             #t)))))
+
+    (home-page
+      "https://github.com/gabriel-vasile/mimetype")
+    (synopsis "A fast golang library for MIME type and file extension detection")
+    (description "This is a package for detecting MIME types and extensions
+based on magic numbers.  Features include
+
+@itemize
+@item fast and precise MIME type and file extension detection
+@item long list of supported MIME types
+@item common file formats are prioritized
+@item small and simple API
+@item handles MIME type aliases
+@item thread safe
+@item low memory usage, besides the file header
+@end itemize")
+    (license license:expat)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 08:02:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 04:02:42 2021
Received: from localhost ([127.0.0.1]:56167 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRsHq-0007oK-BD
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:42 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54352
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lRsHm-0007lx-Mt
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:39 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617264158;
 bh=FLNEwJNbM6cKNjm7o+hu1ZrfQNaF0BsPLHDgB5yEzpI=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=t9faH0EtgV9oRbPZZGbzzsA6xCI/QdSujXyv8om2nAncI/Q2Y8YteXHnT6oa6ethN
 DpG3U6Uw9rvv0o5hrS5TjakLcptCy0LKT2hlO7g0yvMCxrlsArIgiLv+PlngaNK5Tj
 jLOF/62rF0ZQ9n528PcDlOp+FA1tQmjzGSCYuHjA=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH 28/28] gnu: Add gh.
In-Reply-To: <cover.1617262223.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <778a56cd9ac0c4b1efeb7d27c35bf40663ee28fd.1617262223.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 10:02:38 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/version-control.scm (gh): New variable. ---
 gnu/packages/version-control.scm | 92 ++++++++++++++++++++++++++++++++ 1
 file changed, 92 insertions(+) diff --git a/gnu/packages/version-control.scm
 b/gnu/packages/version-control.scm index e7fa6e6777..1d3f8d1b7c 100644 ---
 a/gnu/packages/version-control.scm +++ b/gnu/packages/version-control.scm
 @@ -1 [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/version-control.scm (gh): New variable. ---
    gnu/packages/version-control.scm | 92 ++++++++++++++++++++++++++++++++ 1
   file changed, 92 insertions(+) diff --git a/gnu/packages/version-control.scm
    b/gnu/packages/version-control.scm index e7fa6e6777..1d3f8d1b7c 100644 ---
    a/gnu/packages/version-control.scm +++ b/gnu/packages/version-control.scm
    @@ -1 [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

* gnu/packages/version-control.scm (gh): New variable.
---
 gnu/packages/version-control.scm | 92 ++++++++++++++++++++++++++++++++
 1 file changed, 92 insertions(+)

diff --git a/gnu/packages/version-control.scm b/gnu/packages/version-control.scm
index e7fa6e6777..1d3f8d1b7c 100644
--- a/gnu/packages/version-control.scm
+++ b/gnu/packages/version-control.scm
@@ -118,6 +118,7 @@
   #:use-module (gnu packages sdl)
   #:use-module (gnu packages swig)
   #:use-module (gnu packages sync)
+  #:use-module ((gnu packages syncthing) #:select (go-github-com-kballard-go-shellquote))
   #:use-module (gnu packages tcl)
   #:use-module (gnu packages textutils)
   #:use-module (gnu packages time)
@@ -3021,6 +3022,97 @@ commit message side by side
 If several repos are related, it helps to see their status together.")
       (license license:expat))))
 
+(define-public gh
+  (package
+    (name "gh")
+    (version "1.8.0")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/cli/cli.git")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "009jh1i1ji7d773ismifdw4qvwlb8s1zn14d0n84j9h3n0hyynbc"))))
+    (build-system go-build-system)
+    (arguments
+     '(#:import-path
+       "github.com/cli/cli/cmd/gh"
+       #:unpack-path
+       "github.com/cli/cli"))
+    (native-inputs
+     `(("go" ,go)))
+    (inputs
+     `(("go-github-com-cli-shurcool-graphql"
+        ,go-github-com-cli-shurcool-graphql)
+       ("go-gopkg-in-yaml-v3" ,go-gopkg-in-yaml-v3)
+       ("go-golang-org-x-text" ,go-golang-org-x-text)
+       ("go-golang-org-x-sync" ,go-golang-org-x-sync)
+       ("go-golang-org-x-crypto"
+        ,go-golang-org-x-crypto)
+       ("go-github-com-stretchr-testify"
+        ,go-github-com-stretchr-testify)
+       ("go-github-com-spf13-pflag"
+        ,go-github-com-spf13-pflag)
+       ("go-github-com-spf13-cobra"
+        ,go-github-com-spf13-cobra)
+       ("go-github-com-shurcool-githubv4"
+        ,go-github-com-shurcool-githubv4)
+       ("go-github-com-rivo-uniseg"
+        ,go-github-com-rivo-uniseg)
+       ("go-github-com-muesli-termenv"
+        ,go-github-com-muesli-termenv)
+       ("go-github-com-mitchellh-go-homedir"
+        ,go-github-com-mitchellh-go-homedir)
+       ("go-github-com-mgutz-ansi"
+        ,go-github-com-mgutz-ansi)
+       ("go-github-com-mattn-go-runewidth"
+        ,go-github-com-mattn-go-runewidth)
+       ("go-github-com-mattn-go-isatty"
+        ,go-github-com-mattn-go-isatty)
+       ("go-github-com-mattn-go-colorable"
+        ,go-github-com-mattn-go-colorable)
+       ("go-github-com-kballard-go-shellquote"
+        ,go-github-com-kballard-go-shellquote)
+       ("go-github-com-itchyny-gojq"
+        ,go-github-com-itchyny-gojq)
+       ("go-github-com-henvic-httpretty"
+        ,go-github-com-henvic-httpretty)
+       ("go-github-com-hashicorp-go-version"
+        ,go-github-com-hashicorp-go-version)
+       ("go-github-com-google-shlex"
+        ,go-github-com-google-shlex)
+       ("go-github-com-google-go-cmp-cmp"
+        ,go-github-com-google-go-cmp-cmp)
+       ("go-github-com-gabriel-vasile-mimetype"
+        ,go-github-com-gabriel-vasile-mimetype)
+       ("go-github-com-enescakir-emoji"
+        ,go-github-com-enescakir-emoji)
+       ("go-github-com-cpuguy83-go-md2man-v2"
+        ,go-github-com-cpuguy83-go-md2man-v2)
+       ("go-github-com-cli-safeexec"
+        ,go-github-com-cli-safeexec)
+       ("go-github-com-cli-oauth"
+        ,go-github-com-cli-oauth)
+       ("go-github-com-cli-browser"
+        ,go-github-com-cli-browser)
+       ("go-github-com-briandowns-spinner"
+        ,go-github-com-briandowns-spinner)
+       ("go-github-com-makenowjust-heredoc"
+        ,go-github-com-makenowjust-heredoc)
+       ("go-github-com-alecaivazis-survey-v2"
+        ,go-github-com-alecaivazis-survey-v2)
+       ("go-github-com-charmbracelet-glamour"
+        ,go-github-com-charmbracelet-glamour)))
+    (home-page "https://github.com/cli/cli")
+    (synopsis "GitHub CLI tool")
+    (description "@command{gh} is GitHub on the command line.  It brings pull
+requests, issues, and other GitHub concepts to the terminal next to where you
+are already working with Git and your code.")
+    (license license:expat)))
+
 (define-public ghq
   (package
     (name "ghq")
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 08:02:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 04:02:42 2021
Received: from localhost ([127.0.0.1]:56165 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRsHq-0007oI-2d
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:42 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54358
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lRsHm-0007m4-Jx
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:38 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617264152;
 bh=8RXZOEvMwkpA3fl3faZX8I5BvNRNyz5jJSS3gbb30+4=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=s0fHhD0+kfEG/J3fZy/D+7S3NDfsHlnrnvJHGLtUTne14JbTcle1HBuuY0/b+3jkZ
 UnU12HVfetIXWhEYb1KHU4Wzu40SccCzoLKyxs81We0qeScw/zEQnpdapqmnUGN2KP
 6cATvErz3epz633RNCF6k/3MbfZgcdE7JzZFA9H8=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH 15/28] gnu: Add go-github-com-enescakir-emoji.
In-Reply-To: <cover.1617262223.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <64d20b5bd312abb6fa16d3f7d381247488be5f6f.1617262223.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 10:02:32 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/golang.scm (go-github-com-enescakir-emoji):
 New variable. --- gnu/packages/golang.scm | 23 +++++++++++++++++++++++ 1
 file changed,
 23 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 1ba938715e..11eb330d6d 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7397,3 +7397,26 @@ anchor names and l [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-enescakir-emoji):
    New variable. --- gnu/packages/golang.scm | 23 +++++++++++++++++++++++ 1
   file changed, 23 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 1ba938715e..11eb330d6d 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7397,3 +7397,26 @@ anchor names and l [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

* gnu/packages/golang.scm (go-github-com-enescakir-emoji): New variable.
---
 gnu/packages/golang.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 1ba938715e..11eb330d6d 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7397,3 +7397,26 @@ anchor names and links to those anchors.")
     (description "This package converts Markdown into Roff Man pages.")
     (license license:expat)))
 
+(define-public go-github-com-enescakir-emoji
+  (package
+    (name "go-github-com-enescakir-emoji")
+    (version "1.0.0")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/enescakir/emoji.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "1xnisfsn94izcjhl4xywd971av4b5v1n67figp16wh443lhihxky"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/enescakir/emoji"))
+    (home-page "https://github.com/enescakir/emoji")
+    (synopsis "Minimalistic emoji package for Go")
+    (description "This package provides a minimalistic emoji library for
+Go.  It lets you use emoji characters in strings.")
+    (license license:expat)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 08:02:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 04:02:41 2021
Received: from localhost ([127.0.0.1]:56163 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRsHo-0007o5-OR
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:41 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54346
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lRsHl-0007lp-SB
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:38 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617264157;
 bh=sUCdP81+6ND+E7n6buL7BEPckv7F105wGmjsU36b5po=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=qgyBO/USsBRgrSEksaQx4aAtlNA/IKNouQ+dOhkgjiLsrQvmWwEbP0ecSsU+ps0IE
 G345Ir+M3vWltXJNi4fXjo+BdoL1ToN5KPmuWTYvMRZt16Ff+h0Nfm+npauave7h0C
 SkFVOHa9V7nCSk9EERA1IG5zO6R3wRMM/coz9tLg=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH 19/28] gnu: Add go-github-com-itchyny-go-flags.
In-Reply-To: <cover.1617262223.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <ce9d780257033f83a71e527bf603e0b8812b5001.1617262223.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 10:02:37 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm (go-github-com-itchyny-go-flags):
 New variable. --- gnu/packages/golang.scm | 33
 +++++++++++++++++++++++++++++++++ 1 file changed,
 33 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 7a2abc92f9..2750443484 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7513,3 +7513,36 @@ shell-style quotin [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-itchyny-go-flags):
    New variable. --- gnu/packages/golang.scm | 33 +++++++++++++++++++++++++++++++++
    1 file changed, 33 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 7a2abc92f9..2750443484 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7513,3 +7513,36 @@ shell-style quotin [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

* gnu/packages/golang.scm (go-github-com-itchyny-go-flags): New variable.
---
 gnu/packages/golang.scm | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 7a2abc92f9..2750443484 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7513,3 +7513,36 @@ shell-style quoting, commenting, and escaping.")
 pretty on your terminal.")
     (license license:expat)))
 
+(define-public go-github-com-itchyny-go-flags
+  (package
+    (name "go-github-com-itchyny-go-flags")
+    (version "1.5.0")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/itchyny/go-flags.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "0qfh7gn95aldlsigk72jl87npmwvx15kb7df1100d6j0nbakd8b5"))))
+    (build-system go-build-system)
+    (arguments
+     '(#:import-path
+       "github.com/itchyny/go-flags"
+       ;; Unable to find man page
+       #:tests? #f))
+    (native-inputs
+      `(("go-golang-org-x-sys" ,go-golang-org-x-sys)))
+    (home-page "https://github.com/itchyny/go-flags")
+    (synopsis "Go library for parsing command line arguments")
+    (description "This library provides similar functionality to the builtin
+flag library of Go, but provides much more functionality.
+
+Package flags provides an extensive command line option parser.  The flags
+package is similar in functionality to the go builtin flag package but
+provides more options and uses reflection to provide a convenient and succinct
+way of specifying command line options.")
+    (license license:bsd-3)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 08:02:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 04:02:40 2021
Received: from localhost ([127.0.0.1]:56161 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRsHo-0007o0-GR
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:40 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54340
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lRsHl-0007le-Ay
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:37 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617264155;
 bh=P1kKJ7nDdth9FXO/JpZfP00U2VU2EfH6Ui6ulWzpRHI=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=aVPH0eW+ppkhLMDTNjdaY3WRkVadM1/jP26eOeOR1bJh4p0NwpyLyRCmZLox3SnQ/
 p9nMrGEYhTvbLGyTNfhuMLcygnF9LKg9SLiIlRrlSWn/cNytglquMjNhEdpZi0H4Cc
 uFdKYHmRmr3332eOS4iN+8fiqseYnClfXi+P5/u8=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH 18/28] gnu: Add go-github-com-henvic-httpretty.
In-Reply-To: <cover.1617262223.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <e77415d8f9abe0ebf26c19c9ec3c29776ab84441.1617262223.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 10:02:34 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm (go-github-com-henvic-httpretty):
 New variable. --- gnu/packages/golang.scm | 23 +++++++++++++++++++++++ 1
 file changed,
 23 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index fafe3fc226..7a2abc92f9 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7490,3 +7490,26 @@ based on magic num [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-henvic-httpretty):
    New variable. --- gnu/packages/golang.scm | 23 +++++++++++++++++++++++ 1
   file changed, 23 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index fafe3fc226..7a2abc92f9 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7490,3 +7490,26 @@ based on magic num [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

* gnu/packages/golang.scm (go-github-com-henvic-httpretty): New variable.
---
 gnu/packages/golang.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index fafe3fc226..7a2abc92f9 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7490,3 +7490,26 @@ based on magic numbers.  Features include
 shell-style quoting, commenting, and escaping.")
     (license license:asl2.0)))
 
+(define-public go-github-com-henvic-httpretty
+  (package
+    (name "go-github-com-henvic-httpretty")
+    (version "0.0.6")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/henvic/httpretty.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "1jbnj1x8wribayx65ssxigs9p88pi0cxg36h8qhqvqz1pqiygksa"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/henvic/httpretty"))
+    (home-page "https://github.com/henvic/httpretty")
+    (synopsis "Print the HTTP requests you make on your terminal")
+    (description "This packages prints the HTTP requests you make with Go
+pretty on your terminal.")
+    (license license:expat)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 08:02:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 04:02:40 2021
Received: from localhost ([127.0.0.1]:56159 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRsHn-0007nn-UA
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:40 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54352
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lRsHl-0007lx-3J
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:37 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617264151;
 bh=7KtcF7nxzitN9Afku8dyXVEy0J+h9vS3FkwZ8FaE/Dw=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=EbwusNwvPp3807SQx3S4iw54YG9zbsumtos1d/Z8k3YFokhPPBnV87Eja4a72w59d
 J02tJCEle4QkCTILhToemFKP0gHGvXITtntAmv/Ymk9DNyo+eEd5cR2sto8wZt5bVB
 QjeEnmk1+dGph2GwS3xInz+7nBWlNt2SXzcHx4vo=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH 14/28] gnu: Add go-github-com-cpuguy83-go-md2man-v2.
In-Reply-To: <cover.1617262223.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <6b4202e3d8a28317e4e28b29dcfeac41b38ba73d.1617262223.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 10:02:31 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm
 (go-github-com-cpuguy83-go-md2man-v2):
 New variable. --- gnu/packages/golang.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed,
 30 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index adeaa7e88d..1ba938715e 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7367,3 +7367,33 @@ names. Its logic c [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-cpuguy83-go-md2man-v2):
    New variable. --- gnu/packages/golang.scm | 30 ++++++++++++++++++++++++++++++
    1 file changed, 30 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index adeaa7e88d..1ba938715e 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7367,3 +7367,33 @@ names. Its logic c [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

* gnu/packages/golang.scm (go-github-com-cpuguy83-go-md2man-v2): New variable.
---
 gnu/packages/golang.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index adeaa7e88d..1ba938715e 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7367,3 +7367,33 @@ names.  Its logic can be reused by multiple packages to create interoperable
 anchor names and links to those anchors.")
     (license license:expat)))
 
+(define-public go-github-com-cpuguy83-go-md2man-v2
+  (package
+    (name "go-github-com-cpuguy83-go-md2man-v2")
+    (version "2.0.0")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/cpuguy83/go-md2man.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "0r1f7v475dxxgzqci1mxfliwadcrk86ippflx9n411325l4g3ghv"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/cpuguy83/go-md2man"))
+    (native-inputs
+      `(("go-github-com-shurcool-sanitized-anchor-name"
+         ,go-github-com-shurcool-sanitized-anchor-name)
+        ("go-github-com-russross-blackfriday-v2"
+         ,go-github-com-russross-blackfriday-v2)
+        ("go-github-com-pmezard-go-difflib"
+         ,go-github-com-pmezard-go-difflib)))
+    (home-page
+      "https://github.com/cpuguy83/go-md2man")
+    (synopsis "Convert Markdown into Man pages")
+    (description "This package converts Markdown into Roff Man pages.")
+    (license license:expat)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 08:02:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 04:02:39 2021
Received: from localhost ([127.0.0.1]:56156 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRsHn-0007nd-DK
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:39 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54346
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lRsHk-0007lp-Fr
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:36 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617264150;
 bh=Rcu1ZNVrCZBGWkDR2CcmAzX4bNy6JPgkTFq56WDIYuI=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=dLqf/7nUCC932q42Rf49mzTdoYSGqtk4XDQUgEsMdEs4NNrcYdb47nJk+TcuuxUsj
 iduA1q3mKwtOTzAm/5rCEjnI83u9Pa08nl9VgVi+ySlFeW57LUMr6Hds8OV9bxzfxX
 F9TEMDqmhKUPyW0JXGsNBHQCVIVZk3N8EV6SPjvc=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH 13/28] gnu: Add go-github-com-shurcool-sanitized-anchor-name.
In-Reply-To: <cover.1617262223.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <5fb9a7349d3e62ca5701c150d5a05e6d0ee4798b.1617262223.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 10:02:30 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm
 (go-github-com-shurcool-sanitized-anchor-name):
 New variable. --- gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
 1 file changed,
 26 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index c7f2cd7083..adeaa7e88d 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7341,3 +7341,29 @@ is fast, it suppor [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-shurcool-sanitized-anchor-name):
    New variable. --- gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
    1 file changed, 26 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index c7f2cd7083..adeaa7e88d 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7341,3 +7341,29 @@ is fast, it suppor [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

* gnu/packages/golang.scm (go-github-com-shurcool-sanitized-anchor-name): New variable.
---
 gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index c7f2cd7083..adeaa7e88d 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7341,3 +7341,29 @@ is fast, it supports common extensions (tables, smart punctuation
 substitutions, etc.), and it is safe for all utf-8 (unicode) input.")
     (license license:bsd-2)))
 
+(define-public go-github-com-shurcool-sanitized-anchor-name
+  (package
+    (name "go-github-com-shurcool-sanitized-anchor-name")
+    (version "1.0.0")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/shurcooL/sanitized_anchor_name.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "1gv9p2nr46z80dnfjsklc6zxbgk96349sdsxjz05f3z6wb6m5l8f"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path
+        "github.com/shurcooL/sanitized_anchor_name"))
+    (home-page
+      "https://github.com/shurcooL/sanitized_anchor_name")
+    (synopsis "Create sanitized anchor names")
+    (description "This package provides a function to create sanitized anchor
+names.  Its logic can be reused by multiple packages to create interoperable
+anchor names and links to those anchors.")
+    (license license:expat)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 08:02:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 04:02:37 2021
Received: from localhost ([127.0.0.1]:56148 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRsHl-0007my-4o
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:37 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54340
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lRsHj-0007le-Mm
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:36 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617264150;
 bh=xaeTx+5K6k6ubmU0AQXfM30YUPrCwhf4VkKqpCHeYZs=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=LWglVL3CE1q65vCClO8ZAiDay57nOE0+0WjetPIbO8Ft/IBqPyioa9rp50ylX3P7g
 RXExEgM6r7jHUdZ6+gBgWsO0kE3jigyj0nIP0HFD2w6ugsgU7RqtqYZgfvJFmfoQGc
 Z6+Q0WvGMzxH25TVmnzGBFgDX55UfERy/kXxNvRc=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH 12/28] gnu: Add go-github-com-russross-blackfriday-v2.
In-Reply-To: <cover.1617262223.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <104cd4b2728027839421965bd3e3244c1f0b6d39.1617262223.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 10:02:29 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm
 (go-github-com-russross-blackfriday-v2):
 New variable. --- gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
 1 file changed,
 26 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 9265083978..c7f2cd7083 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7315,3 +7315,29 @@ application flow i [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-russross-blackfriday-v2):
    New variable. --- gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
    1 file changed, 26 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 9265083978..c7f2cd7083 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7315,3 +7315,29 @@ application flow i [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

* gnu/packages/golang.scm (go-github-com-russross-blackfriday-v2): New variable.
---
 gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 9265083978..c7f2cd7083 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7315,3 +7315,29 @@ application flow in Go client apps.")
 @code{exec.LookPath()} on Windows.")
      (license license:bsd-2))))
 
+(define-public go-github-com-russross-blackfriday-v2
+  (package
+    (name "go-github-com-russross-blackfriday-v2")
+    (version "2.1.0")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/russross/blackfriday.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "0d1rg1drrfmabilqjjayklsz5d0n3hkf979sr3wsrw92bfbkivs7"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/russross/blackfriday"))
+    (home-page
+      "https://github.com/russross/blackfriday")
+    (synopsis "Markdown processor implemented in Go")
+    (description "Blackfriday is a Markdown processor implemented in Go.  It
+is paranoid about its input (so you can safely feed it user-supplied data), it
+is fast, it supports common extensions (tables, smart punctuation
+substitutions, etc.), and it is safe for all utf-8 (unicode) input.")
+    (license license:bsd-2)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 08:02:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 04:02:37 2021
Received: from localhost ([127.0.0.1]:56146 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRsHk-0007ml-Le
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:37 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54334
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lRsHj-0007lZ-5b
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:35 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617264149;
 bh=khyK5paHjQIJF/bwR/6ub7kb0k73cHdDRGRftXW9xAM=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=a/ekopdH2feBq63UKGloqC3eqhF3bYwakren/qMen3IWcIOOjArM8CyS3zso46ASM
 5dPv1m1S84thVvtx951U15eY/+5ibInBiwPSO7COsRE3i+SjFA2DCjqWtBKW6MOCeA
 q/fRZ3v8fs5W0XzNssdjmyu13p1BBJwcSERdzD0A=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH 11/28] gnu: Add go-github-com-cli-safeexec.
In-Reply-To: <cover.1617262223.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <0d07c0f083ab03cfd14058365fa8434ed5421f85.1617262223.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 10:02:29 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm (go-github-com-cli-safeexec): New
 variable. --- This is only used on Windows, but is needed by the 'gh' package
 so it is marked as hidden. gnu/packages/golang.scm | 25
 +++++++++++++++++++++++++ 1 file changed, 25 insertions(+) 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-cli-safeexec): New
    variable. --- This is only used on Windows, but is needed by the 'gh' package
    so it is marked as hidden. gnu/packages/golang.scm | 25 +++++++++++++++++++++++++
    1 file changed, 25 insertions(+) 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

* gnu/packages/golang.scm (go-github-com-cli-safeexec): New variable.
---
This is only used on Windows, but is needed by the 'gh' package so it is
marked as hidden.

 gnu/packages/golang.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index a2c203dafa..9265083978 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7290,3 +7290,28 @@ files in the system default web browser.")
 application flow in Go client apps.")
     (license license:expat)))
 
+;; Needed by the 'gh' GitHub CLI tool
+(define-public go-github-com-cli-safeexec
+  (hidden-package
+   (package
+     (name "go-github-com-cli-safeexec")
+     (version "1.0.0")
+     (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+              (url "https://github.com/cli/safeexec.git")
+              (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+         (base32
+          "1q80va3721dyw33lrnv7x3gd66kcnbsm38dv3lk7xqhii2adawmk"))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/cli/safeexec"))
+     (home-page "https://github.com/cli/safeexec")
+     (synopsis "Safer alternative to exec.LookPath() on Windows")
+     (description "This library provides a safer alternative to
+@code{exec.LookPath()} on Windows.")
+     (license license:bsd-2))))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 08:02:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 04:02:36 2021
Received: from localhost ([127.0.0.1]:56143 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRsHj-0007mY-Uz
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:36 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54328
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lRsHi-0007lT-Ag
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:34 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617264148;
 bh=FGvSu4ic9gXuPakPhG5wJc/pFPOjz3sGfQF32xG+HCI=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=KQdbPh6GnUZAxBL/0zEF5TyPN/Lg3A1Lbpo6+MzXx5Y8cL3U8QDdgHM2t+TPeyv1e
 zi+At8dXmJwlpFVUoMRRksALZRuaCn4GaNl/lPrskrxyg49rYU+RO26aqDFwGiQhLH
 d8LT2kCy41cL5IrtklLHjHjessWig5M3HimdWiy0=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH 10/28] gnu: Add go-github-com-cli-oauth.
In-Reply-To: <cover.1617262223.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <dfcd7cb245837f8794f9519322cc3edbf6413d1d.1617262223.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 10:02:28 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm (go-github-com-cli-oauth): New
 variable.
 --- gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++ 1 file changed,
 26 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 92ec492cc6..a2c203dafa 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7264,3 +7264,29 @@ indicator to any t [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-cli-oauth): New variable.
    --- gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++ 1 file changed,
    26 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 92ec492cc6..a2c203dafa 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7264,3 +7264,29 @@ indicator to any t [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

* gnu/packages/golang.scm (go-github-com-cli-oauth): New variable.
---
 gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 92ec492cc6..a2c203dafa 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7264,3 +7264,29 @@ indicator to any terminal application. ")
 files in the system default web browser.")
     (license license:bsd-2)))
 
+(define-public go-github-com-cli-oauth
+  (package
+    (name "go-github-com-cli-oauth")
+    (version "0.8.0")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/cli/oauth.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "1b96cl53qc40xsgpxpy9qkrib4a4g02a4sq442qp8749qab5ljhs"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/cli/oauth"))
+    (native-inputs
+      `(("go-github-com-cli-browser"
+         ,go-github-com-cli-browser)))
+    (home-page "https://github.com/cli/oauth")
+    (synopsis "Perform OAuth Device flow and Web application flow in Go")
+    (description "This is a library for performing OAuth Device flow and Web
+application flow in Go client apps.")
+    (license license:expat)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 08:02:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 04:02:35 2021
Received: from localhost ([127.0.0.1]:56140 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRsHj-0007mV-M0
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:35 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54322
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lRsHh-0007lR-Fr
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:33 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617264148;
 bh=uvs4gML+Z49WLhSoFZyuqGzUsXSKdb3e5qybGJTapHY=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=Aa7x4mBwEGkKaec80iPQRYrEPT6C1vE2qlG2fitXSjpzXn4ikLFe1387xRJOPQalD
 UfiGUFzeBNTcbODfM+hcZ6TEV+A0OZs4EgJBd1PrYnHOuzS6uqCTSDPRxQNx4bH/AO
 SfQreIu7oVSbS94TBCC5FoCn4OLL1M2QOtUROVBU=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH 09/28] gnu: Add go-github-com-cli-browser.
In-Reply-To: <cover.1617262223.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <5ecae063dc9ee26ef2158ecb4c6bfe07381fbe6d.1617262223.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 10:02:27 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/golang.scm (go-github-com-cli-browser): New
 variable. --- gnu/packages/golang.scm | 25 +++++++++++++++++++++++++ 1 file
 changed, 25 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 26cbd7edad..92ec492cc6 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7239,3 +7239,28 @@ indent.") indicato [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-cli-browser): New
    variable. --- gnu/packages/golang.scm | 25 +++++++++++++++++++++++++ 1 file
    changed, 25 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 26cbd7edad..92ec492cc6 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7239,3 +7239,28 @@ indent.") indicato [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

* gnu/packages/golang.scm (go-github-com-cli-browser): New variable.
---
 gnu/packages/golang.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 26cbd7edad..92ec492cc6 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7239,3 +7239,28 @@ indent.")
 indicator to any terminal application. ")
     (license license:asl2.0)))
 
+(define-public go-github-com-cli-browser
+  (package
+    (name "go-github-com-cli-browser")
+    (version "1.1.0")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/cli/browser.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "13z27cc0a184bhprspwclzbvrzsrfd5qyk5r2djfx5nm85igxr0n"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/cli/browser"))
+    (native-inputs
+      `(("go-golang-org-x-sys" ,go-golang-org-x-sys)))
+    (home-page "https://github.com/cli/browser")
+    (synopsis "Helpers to open URLs, or files in the default web browser")
+    (description "This library provides helpers to open URLs, readers, or
+files in the system default web browser.")
+    (license license:bsd-2)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 08:02:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 04:02:34 2021
Received: from localhost ([127.0.0.1]:56136 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRsHi-0007mC-Bi
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:34 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54314
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lRsHg-0007lP-Sc
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:33 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617264145;
 bh=kCvlmZpfQLf+sTtxjRqe0Ppl2lZw4Zj+xuR41sxyYZc=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=YWM33iV7oa7Ctb0oWZ7b3eE6dfKWNFZCvMwsFGlxaF5PUkHhDoQU3l3WFhEVSvt92
 Xz9RJsYTKfVgTvxqEWJIPoz5ZHNfKtvvyz1xKqWwdwZcolEjR/iMp9aq3TYXeCSYqM
 p9DrfCnMIPOtUIDcxpAVaBENggrWXUWtZxrOdfZU=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH 08/28] gnu: Add go-github-com-briandowns-spinner.
In-Reply-To: <cover.1617262223.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <aa06bb0fa706a8a84a08c83ff1597b80b7e28b89.1617262223.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 10:02:25 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm (go-github-com-briandowns-spinner):
 New variable. --- gnu/packages/golang.scm | 29 +++++++++++++++++++++++++++++
 1 file changed,
 29 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 9f8037218f..26cbd7edad 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7210,3 +7210,32 @@ terminals supporti [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-briandowns-spinner):
    New variable. --- gnu/packages/golang.scm | 29 +++++++++++++++++++++++++++++
    1 file changed, 29 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 9f8037218f..26cbd7edad 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7210,3 +7210,32 @@ terminals supporti [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

* gnu/packages/golang.scm (go-github-com-briandowns-spinner): New variable.
---
 gnu/packages/golang.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 9f8037218f..26cbd7edad 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7210,3 +7210,32 @@ terminals supporting ANSI escape sequences.")
 indent.")
     (license license:expat)))
 
+(define-public go-github-com-briandowns-spinner
+  (package
+    (name "go-github-com-briandowns-spinner")
+    (version "1.12.0")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/briandowns/spinner.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "1n6h2iqq5anqg9p2pwz684vhfjx0944rrw53x2cn5m1dybp6rbwx"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/briandowns/spinner"))
+    (native-inputs
+      `(("go-github-com-mattn-go-colorable"
+         ,go-github-com-mattn-go-colorable)
+        ("go-github-com-fatih-color"
+         ,go-github-com-fatih-color)))
+    (home-page
+      "https://github.com/briandowns/spinner")
+    (synopsis "Progress indicator for any terminal application")
+    (description "This is a simple package to add a spinner or progress
+indicator to any terminal application. ")
+    (license license:asl2.0)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 08:02:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 04:02:31 2021
Received: from localhost ([127.0.0.1]:56132 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRsHf-0007lj-3o
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:31 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54304
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lRsHe-0007l5-42
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:30 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617264144;
 bh=isp5mGfxhlIg2v1u4e/DTK8q/aJFBWjpf5Fj8ogw56E=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=UtUxLjUv1rUW/FatjkleCJanIpdbY3hAiE5HvNvkzjzeocWT1nOR/Oq24Jycflsv+
 zKBhArhor8UnnELd/w2/w4nAnQ3u0iWQ21sKisVGSxCfegRNv9NJxEW19PLziNWBHj
 YjBvi2Hsn/8zKYIZ74PIULBoKte+EyYwAJAOewVg=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH 07/28] gnu: Add go-github-com-makenowjust-heredoc.
In-Reply-To: <cover.1617262223.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <c14ec6734e02741e4a267589d81ce2d5cdc966df.1617262223.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 10:02:24 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm
 (go-github-com-makenowjust-heredoc):
 New variable. --- gnu/packages/golang.scm | 24 ++++++++++++++++++++++++ 1
 file changed,
 24 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 80befc8c45..9f8037218f 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7186,3 +7186,27 @@ sending input thro [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-makenowjust-heredoc):
    New variable. --- gnu/packages/golang.scm | 24 ++++++++++++++++++++++++ 1
    file changed, 24 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 80befc8c45..9f8037218f 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7186,3 +7186,27 @@ sending input thro [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

* gnu/packages/golang.scm (go-github-com-makenowjust-heredoc): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 80befc8c45..9f8037218f 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7186,3 +7186,27 @@ sending input through it's pseudoterminal.")
 terminals supporting ANSI escape sequences.")
     (license license:expat)))
 
+(define-public go-github-com-makenowjust-heredoc
+  (package
+    (name "go-github-com-makenowjust-heredoc")
+    (version "1.0.0")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/MakeNowJust/heredoc.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "18f21zm8n2wlnkz1ylw8rcxmqxyv2rlz8749yfqggm2m0m2884pj"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/MakeNowJust/heredoc"))
+    (home-page
+      "https://github.com/MakeNowJust/heredoc")
+    (synopsis "Here-documents with keeping indent")
+    (description "This package provides the Here-document with keeping
+indent.")
+    (license license:expat)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 08:02:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 04:02:31 2021
Received: from localhost ([127.0.0.1]:56130 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRsHe-0007lh-Rd
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:31 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54298
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lRsHd-0007kw-CY
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:29 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617264143;
 bh=i8YLyNzvXdDnfEotvTKXErAZf6cLxgf32ivLmwaJjc4=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=A1hRODWaqYNWmyg/r1YGE9VEZOFG4Jf7gwEfcT1MVEhkD1M7pFNJMeiHQFRUVVGn2
 3cATb2/w09W5ggOSTVuDfV/TwbTXNLrFQqwPWg4FWnAFpeyEmNZo1LdmvJHoxCKLao
 MVfmUU8ovXLTbR4GatSI9WNc6TKzYGtqambfU9Og=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH 06/28] gnu: Add go-github-com-alecaivazis-survey-v2.
In-Reply-To: <cover.1617262223.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <a96f7de993c79c5a3d022ae354f7652901439db9.1617262223.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 10:02:23 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm
 (go-github-com-alecaivazis-survey-v2):
 New variable. --- gnu/packages/golang.scm | 49
 +++++++++++++++++++++++++++++++++++++++++ 1 file changed,
 49 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index e2ab99a334..80befc8c45 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -62,6 +62,7 @@ #:use-module (gnu packa [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-alecaivazis-survey-v2):
    New variable. --- gnu/packages/golang.scm | 49 +++++++++++++++++++++++++++++++++++++++++
    1 file changed, 49 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index e2ab99a334..80befc8c45 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -62,6 +62,7 @@ #:use-module (gnu packa [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

* gnu/packages/golang.scm (go-github-com-alecaivazis-survey-v2): New variable.
---
 gnu/packages/golang.scm | 49 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index e2ab99a334..80befc8c45 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -62,6 +62,7 @@
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages pulseaudio)
   #:use-module (gnu packages textutils)
+  #:use-module ((gnu packages syncthing) #:select (go-github-com-kballard-go-shellquote))
   #:use-module (gnu packages tls)
   #:use-module (gnu packages web)
   #:use-module (ice-9 match)
@@ -7137,3 +7138,51 @@ manage process lifecycle.  This package only focuses on expecting output and
 sending input through it's pseudoterminal.")
     (license license:asl2.0)))
 
+(define-public go-github-com-alecaivazis-survey-v2
+  (package
+    (name "go-github-com-alecaivazis-survey-v2")
+    (version "2.2.9")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/AlecAivazis/survey.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "1jw4ka44q7a2885fil4qnb56mdlixmy5ysd68i5h5dblbq4r61l1"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/AlecAivazis/survey"))
+    (native-inputs
+      `(("go-golang-org-x-text" ,go-golang-org-x-text)
+        ("go-golang-org-x-sys" ,go-golang-org-x-sys)
+        ("go-golang-org-x-crypto"
+         ,go-golang-org-x-crypto)
+        ("go-github-com-stretchr-testify"
+         ,go-github-com-stretchr-testify)
+        ("go-github-com-pmezard-go-difflib"
+         ,go-github-com-pmezard-go-difflib)
+        ("go-github-com-mgutz-ansi"
+         ,go-github-com-mgutz-ansi)
+        ("go-github-com-mattn-go-isatty"
+         ,go-github-com-mattn-go-isatty)
+        ("go-github-com-mattn-go-colorable"
+         ,go-github-com-mattn-go-colorable)
+        ("go-github-com-kr-pty" ,go-github-com-kr-pty)
+        ("go-github-com-kballard-go-shellquote"
+         ,go-github-com-kballard-go-shellquote)
+        ("go-github-com-hinshun-vt10x"
+         ,go-github-com-hinshun-vt10x)
+        ("go-github-com-davecgh-go-spew"
+         ,go-github-com-davecgh-go-spew)
+        ("go-github-com-netflix-go-expect"
+         ,go-github-com-netflix-go-expect)))
+    (home-page
+      "https://github.com/AlecAivazis/survey")
+    (synopsis "Build interactive prompts on terminals")
+    (description "This is a library for building interactive prompts on
+terminals supporting ANSI escape sequences.")
+    (license license:expat)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 08:02:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 04:02:25 2021
Received: from localhost ([127.0.0.1]:56126 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRsHZ-0007l8-K2
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:25 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54256
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lRsHX-0007jZ-9h
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:23 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617264141;
 bh=1aMMRa0hL1UIJOK9LKSvQfBmgLrhD/67L/qupOYH16Y=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=Pdl/fkJ//Rp8mQQJ2C3Ffv3nZ4Tp2KgIx8kHxtwVMrbzRp6NFUBdsl0PcAS6mje3K
 nXFEWGG3xrHPSDMZBltBMUi1T4979mvOsim8F7OCIyjZPgvVIAFUkKKa6DsdZ9ZmQ6
 Rdxif7V6tvaFJkYOAZ0OR89UgLa4We6Su/IDrHPo=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH 05/28] gnu: Add go-github-com-netflix-go-expect.
In-Reply-To: <cover.1617262223.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <eeb393155ea06316ef0876d68d02a1fbedb3a9e7.1617262223.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 10:02:20 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm (go-github-com-netflix-go-expect):
 New variable. --- gnu/packages/golang.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed,
 30 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 19b4d69bf7..e2ab99a334 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7107,3 +7107,33 @@ larged been influe [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-netflix-go-expect):
    New variable. --- gnu/packages/golang.scm | 30 ++++++++++++++++++++++++++++++
    1 file changed, 30 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 19b4d69bf7..e2ab99a334 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7107,3 +7107,33 @@ larged been influe [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

* gnu/packages/golang.scm (go-github-com-netflix-go-expect): New variable.
---
 gnu/packages/golang.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 19b4d69bf7..e2ab99a334 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7107,3 +7107,33 @@ larged been influenced by st, rxvt, xterm, and iTerm as reference.")
      (description "Pty is a Go package for using Unix pseudo-terminals.")
      (license license:expat))))
 
+(define-public go-github-com-netflix-go-expect
+  (package
+    (name "go-github-com-netflix-go-expect")
+    (version "0.0.0-20201125194554-85d881c3777e")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/Netflix/go-expect.git")
+               (commit (go-version->git-ref version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "01s59hsdwy2nngngcgzyhncys56pdgzr6lff7k8kjrh26zk6pdv5"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/Netflix/go-expect"))
+    (native-inputs
+      `(("go-github-com-stretchr-testify"
+         ,go-github-com-stretchr-testify)
+        ("go-github-com-kr-pty" ,go-github-com-kr-pty)))
+    (home-page
+      "https://github.com/Netflix/go-expect")
+    (synopsis "Expect-like library to automate control of terminal programs")
+    (description "This package provides an expect-like interface to automate
+control of applications.  It is unlike expect in that it does not spawn or
+manage process lifecycle.  This package only focuses on expecting output and
+sending input through it's pseudoterminal.")
+    (license license:asl2.0)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 08:02:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 04:02:25 2021
Received: from localhost ([127.0.0.1]:56124 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRsHZ-0007l6-Ci
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:25 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54262
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lRsHX-0007jb-4B
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:23 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617264137;
 bh=2RlZa6zNrhex0hS3dZdT65S8mbLQpPtunQ54fxtpThI=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=guM0wgz/TQtoztBUda0U51nYZW6teBD0e3a7M9Z7HI04+BT+oMrUrXU2vyPFKhp9W
 00Rh4ogThWMSpupj8Z6bfhF1M1NIRLtArMCOLATXhKXJkT4cvEvxO7LdcVuDcicAn2
 h04R6wJbD/aSttyPZNFq5e6gG5Vjx6AGYjezuj2s=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH 03/28] gnu: Add go-github-com-creack-pty.
In-Reply-To: <cover.1617262223.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <0a72209ba31b8ecf5d18b1a481ce3b0cacd6ae1d.1617262223.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 10:02:17 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/golang.scm (go-github-com-creack-pty): New
 variable. --- gnu/packages/golang.scm | 22 ++++++++++++++++++++++ 1 file
 changed, 22 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 52eb6e4882..60257ff84e 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7060,3 +7060,25 @@ Go.") larged been [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-creack-pty): New
   variable. --- gnu/packages/golang.scm | 22 ++++++++++++++++++++++ 1 file changed,
    22 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 52eb6e4882..60257ff84e 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7060,3 +7060,25 @@ Go.") larged been [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

* gnu/packages/golang.scm (go-github-com-creack-pty): New variable.
---
 gnu/packages/golang.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 52eb6e4882..60257ff84e 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7060,3 +7060,25 @@ Go.")
 larged been influenced by st, rxvt, xterm, and iTerm as reference.")
     (license license:expat)))
 
+(define-public go-github-com-creack-pty
+  (package
+    (name "go-github-com-creack-pty")
+    (version "1.1.11")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/creack/pty.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "0dwhch53vqxpnbiqvfa27cliabx9ma2m4dax4adlrz8rami4sakw"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/creack/pty"))
+    (home-page "https://github.com/creack/pty")
+    (synopsis "PTY interface for Go")
+    (description "Pty is a Go package for using Unix pseudo-terminals.")
+    (license license:expat)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 08:02:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 04:02:24 2021
Received: from localhost ([127.0.0.1]:56122 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRsHY-0007kx-5h
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:24 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54256
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lRsHW-0007jZ-7J
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:22 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617264134;
 bh=3RskTZH5rKmhsF57OzAHFJEEJqHuODyUmFV8iAad2pc=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=RozYAl0rRnwTuQSbrXZzdn6BA/YPu2Gxtfi76yZbeMdkDzkhMfhz6zED7q7YbHkD5
 X5fSP6gKVOfyUAPp47T1iBKyv+lWlFayCpQMxnESoLkpVMolYCx/59UuTtLe4CVxlu
 bZYIv0y9a56VwvtIQOvDfBG4qxPGNTVMAR1a/OZU=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH 02/28] gnu: Add go-github-com-hinshun-vt10x.
In-Reply-To: <cover.1617262223.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <a2c26b6f16f6159b19fb5ba6e86d8e46ed9f8584.1617262223.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 10:02:14 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm (go-github-com-hinshun-vt10x): New
 variable. --- gnu/packages/golang.scm | 24 ++++++++++++++++++++++++ 1 file
 changed, 24 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 05103e790f..52eb6e4882 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7036,3 +7036,27 @@ simplifications, a [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-hinshun-vt10x): New
    variable. --- gnu/packages/golang.scm | 24 ++++++++++++++++++++++++ 1 file
    changed, 24 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 05103e790f..52eb6e4882 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7036,3 +7036,27 @@ simplifications, a [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

* gnu/packages/golang.scm (go-github-com-hinshun-vt10x): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 05103e790f..52eb6e4882 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7036,3 +7036,27 @@ simplifications, and enforces style rules.")
      "This package provides a library for fast, structured, leveled logging in
 Go.")
     (license license:expat)))
+
+(define-public go-github-com-hinshun-vt10x
+  (package
+    (name "go-github-com-hinshun-vt10x")
+    (version "0.0.0-20180809195222-d55458df857c")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/hinshun/vt10x.git")
+               (commit (go-version->git-ref version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "0vwsp5iii7pf4na8pkd7cn3bawkwnsimkv1sysy7bslclg5jm370"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/hinshun/vt10x"))
+    (home-page "https://github.com/hinshun/vt10x")
+    (synopsis "vt10x terminal emulation backend")
+    (description "This package is a vt10x terminal emulation backend.  It has
+larged been influenced by st, rxvt, xterm, and iTerm as reference.")
+    (license license:expat)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 08:02:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 04:02:23 2021
Received: from localhost ([127.0.0.1]:56118 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRsHW-0007kd-Qu
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:23 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54242
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lRsHU-0007j6-Ij
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:20 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617264138;
 bh=C8FdJHWrxAJ7++p3La4oyF5R0jgqvvuKZeaYEiP275c=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=axfNx/9UQOcVz6qb4ADqsuTzQZFwA4CDylXD+w+kkjKku2eMQKXgQ5qcgpJzQgAmi
 bOoojnfW8/TOywMXxD6Ke9xnkFdNeK1fE1p2fyVmzsXG9M6RpgwtFb2ufwDaOz9Oy5
 6cZvRTEBmTs4I3Sv4JQaxlgRBpJMS5nPq7qW+gmQ=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH 04/28] gnu: Add go-github-com-kr-pty.
In-Reply-To: <cover.1617262223.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <be000c8f31d5aca11bc8978863ed5ed36c666b99.1617262223.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 10:02:17 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm (go-github-com-kr-pty): New
 variable. --- This has been deprecated by upstream,
 but is needed to build 'gh'. gnu/packages/golang.scm
 | 25 +++++++++++++++++++++++++ 1 file changed, 25 insertions(+) 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-kr-pty): New variable.
    --- This has been deprecated by upstream, but is needed to build 'gh'. gnu/packages/golang.scm
    | 25 +++++++++++++++++++++++++ 1 file changed, 25 insertions(+) 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

* gnu/packages/golang.scm (go-github-com-kr-pty): New variable.
---
This has been deprecated by upstream, but is needed to build 'gh'.

 gnu/packages/golang.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 60257ff84e..19b4d69bf7 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7082,3 +7082,28 @@ larged been influenced by st, rxvt, xterm, and iTerm as reference.")
     (description "Pty is a Go package for using Unix pseudo-terminals.")
     (license license:expat)))
 
+;; Deprecated in favor of 'go-github-com-creack-pty', but needed by 'gh'
+(define-public go-github-com-kr-pty
+  (hidden-package
+   (package
+     (name "go-github-com-kr-pty")
+     (version "1.1.8")
+     (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+              (url "https://github.com/kr/pty.git")
+              (commit (string-append "v" version))))
+        (file-name (git-file-name "go-github-com-kr-pty" version))
+        (sha256
+         (base32
+          "1vcl6f90n0f8s8b4fyh0832ilybjqcypqyj233lqj1hx62fvgdbk"))))
+     (build-system go-build-system)
+     (arguments '(#:import-path "github.com/kr/pty"))
+     (propagated-inputs
+      `(("go-github-com-creack-pty" ,go-github-com-creack-pty)))
+     (home-page "https://github.com/kr/pty")
+     (synopsis "PTY interface for Go")
+     (description "Pty is a Go package for using Unix pseudo-terminals.")
+     (license license:expat))))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 08:02:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 04:02:21 2021
Received: from localhost ([127.0.0.1]:56115 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRsHV-0007kQ-ET
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:21 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54248
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lRsHT-0007jC-LB
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:20 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617264134;
 bh=096fT0POvhBOcIozHV9n8P8oRA3qrpvTnfDM5Oo/y5U=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=k7oCT6to14pRSAi5p0fGyg01VKcALzsFkQEWxEGzoBuzxgDaa0RWpjQarsD/B/G+F
 vJRoya11WdTo0ryjneMAkosPZJCcKzgiJG5riPmHWMvuc5W1mJ7kyvVnP3AvjJp7j/
 wjDyj0RNck4IAHDEWqeotaHaQ4zpNmnSZQO8vtDc=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH 01/28] gnu: go-github-com-charmbracelet-glamour: Move some
In-Reply-To: <cover.1617262223.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <3e5341621af597390b962658d3ff89bdb8e510af.1617262223.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 10:02:13 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm
 (go-github-com-charmbracelet-glamour)[native-inputs]:
 Move some packages from here... [propagated-inputs]: ...to here. ---
 gnu/packages/golang.scm | 24 +++++++++++++--------- [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 TVD_SPACE_RATIO        No description available.
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-charmbracelet-glamour)[native-inputs]:
    Move some packages from here... [propagated-inputs]: ...to here. --- gnu/packages/golang.scm
    | 24 +++++++++++++--------- [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 TVD_SPACE_RATIO        No description available.
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

* gnu/packages/golang.scm
(go-github-com-charmbracelet-glamour)[native-inputs]: Move some
packages from here...
[propagated-inputs]: ...to here.
---
 gnu/packages/golang.scm | 24 +++++++++++++-----------
 1 file changed, 13 insertions(+), 11 deletions(-)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index d9988cd7ad..05103e790f 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -5805,25 +5805,27 @@ which produce colorized output using github.com/fatih/color.")
     (arguments
      `(#:import-path "github.com/charmbracelet/glamour"))
     (native-inputs
+     `(("go-github.com-mattn-go-runewidth" ,go-github.com-mattn-go-runewidth)
+       ("go-github-com-muesli-termenv" ,go-github-com-muesli-termenv)
+       ("go-github-com-mattn-go-isatty" ,go-github-com-mattn-go-isatty)))
+    ;; Needed for 'gh' to build
+    (propagated-inputs
      `(("go-github-com-alecthomas-chroma" ,go-github-com-alecthomas-chroma)
+       ("go-github-com-google-goterm" ,go-github-com-google-goterm)
+       ("go-github-com-aymerick-douceur" ,go-github-com-aymerick-douceur)
        ("go-github-com-danwakefield-fnmatch" ,go-github-com-danwakefield-fnmatch)
-       ("go-github-com-dlclark-regexp2" ,go-github-com-dlclark-regexp2)
-       ("go-github-com-microcosm-cc-bluemonday" ,go-github-com-microcosm-cc-bluemonday)
        ("go-github-com-chris-ramon-douceur" ,go-github-com-chris-ramon-douceur)
-       ("go-github-com-aymerick-douceur" ,go-github-com-aymerick-douceur)
        ("go-github-com-gorilla-css" ,go-github-com-gorilla-css)
+       ("go-golang-org-colorful" ,go-golang-org-colorful)
+       ("go-golang-org-x-net" ,go-golang-org-x-net)
        ("go-github-com-muesli-reflow-ansi" ,go-github-com-muesli-reflow-ansi)
+       ("go-github-com-microcosm-cc-bluemonday" ,go-github-com-microcosm-cc-bluemonday)
        ("go-github-com-muesli-reflow-wordwrap" ,go-github-com-muesli-reflow-wordwrap)
+       ("go-github-com-yuin-goldmark" ,go-github-com-yuin-goldmark)
+       ("go-github-com-dlclark-regexp2" ,go-github-com-dlclark-regexp2)
        ("go-github-com-muesli-reflow-indent" ,go-github-com-muesli-reflow-indent)
        ("go-github-com-muesli-reflow-padding" ,go-github-com-muesli-reflow-padding)
-       ("go-github.com-mattn-go-runewidth" ,go-github.com-mattn-go-runewidth)
-       ("go-github-com-muesli-termenv" ,go-github-com-muesli-termenv)
-       ("go-github-com-google-goterm" ,go-github-com-google-goterm)
-       ("go-golang-org-colorful" ,go-golang-org-colorful)
-       ("go-github-com-mattn-go-isatty" ,go-github-com-mattn-go-isatty)
-       ("go-github-com-olekukonko-tablewriter" ,go-github-com-olekukonko-tablewriter)
-       ("go-github-com-yuin-goldmark" ,go-github-com-yuin-goldmark)
-       ("go-golang-org-x-net" ,go-golang-org-x-net)))
+       ("go-github-com-olekukonko-tablewriter" ,go-github-com-olekukonko-tablewriter)))
     (home-page "https://github.com/charmbracelet/glamour/")
     (synopsis "Write handsome command-line tools with glamour")
     (description "@code{glamour} lets you render markdown documents and
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 08:02:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 04:02:20 2021
Received: from localhost ([127.0.0.1]:56112 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRsHT-0007k1-Ur
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:20 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54242
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lRsHS-0007j6-R4
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:19 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617264133;
 bh=of7RDuCyAXYXNDP3yGYpHllSxTt+ntz6NAQKiTUzcEY=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=TZFsr2gj/rKEKYdUKAiEiYbgF14IM7oH8LvioR+2EwXaD032fvuP0VkjARHZ8wxWx
 /YVzCWOgo+GMejtQjqGFvz8pK5WSxEdM1SbAvhmT0ubM3ZN1J/ajeA4egM+EhyRFlO
 yXzfY2YpRXSVWCGmB6hJkSckvf86R0y38rPugXZY=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH 27/28] gnu: Add go-github-com-cli-shurcool-graphql.
In-Reply-To: <cover.1617262223.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <98832289225dfe287e5abf5b3684cb58a4c7cd47.1617262223.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 10:02:13 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm
 (go-github-com-cli-shurcool-graphql):
 New variable. --- gnu/packages/golang.scm | 18 ++++++++++++++++++ 1 file
 changed, 18 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index d6e5494c79..870a9628df 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7739,3 +7739,21 @@ library to parse a [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-cli-shurcool-graphql):
    New variable. --- gnu/packages/golang.scm | 18 ++++++++++++++++++ 1 file
   changed, 18 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index d6e5494c79..870a9628df 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7739,3 +7739,21 @@ library to parse a [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

* gnu/packages/golang.scm (go-github-com-cli-shurcool-graphql): New variable.
---
 gnu/packages/golang.scm | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index d6e5494c79..870a9628df 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7739,3 +7739,21 @@ library to parse and generate YAML data quickly and reliably.")
     (description "This package provides a GraphQL client implementation.")
     (license license:expat)))
 
+;; GitHub's fork of go-github-com-shurcool-graphql, used by the 'gh' CLI tool
+(define-public go-github-com-cli-shurcool-graphql
+  (package
+    (inherit go-github-com-shurcool-graphql)
+    (name "go-github-com-cli-shurcool-graphql")
+    ;; Use the commit from the 'named-queries' branch
+    (version "0.0.0-20200707151639-0f7232a2bf7e")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/cli/shurcooL-graphql.git")
+             (commit (go-version->git-ref version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "19dv1zprs9zv5gnwql29r7lym08gh2jwkz0w0f62823b57m1rjp6"))))
+    (home-page "https://github.com/cli/shurcooL-graphql")))
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 08:02:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 04:02:19 2021
Received: from localhost ([127.0.0.1]:56109 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRsHT-0007ju-LD
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:19 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54236
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lRsHS-0007j3-6L
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:18 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617264132;
 bh=BceP24jbERYgEedDLqTEuDdpZAzsbd2K27TkCFIAIQo=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=uIRUwaMS0kVF+iFDgrvt41GmrtoZQGvfUMmbpuCVtCc/zPF7+60Y9eIpKs0uruCHc
 Fxk1EfgQp04wXpmAY+qKTdYwdB0X0qeLRbxeI0uh1Owe+kxN9opWMu4VV0PfqLw0xa
 XgYFMse2Zu2Aty3UcP0y+7Hq0boCqpv5fUofnCrc=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH 26/28] gnu: Add go-github-com-shurcool-graphql.
In-Reply-To: <cover.1617262223.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <b70fd14127ad0a6e1ba272fc22c012108c2099fe.1617262223.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 10:02:12 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm (go-github-com-shurcool-graphql):
 New variable. --- gnu/packages/golang.scm | 24 ++++++++++++++++++++++++ 1
 file changed,
 24 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 5217bc383d..d6e5494c79 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7715,3 +7715,27 @@ library to parse a [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-shurcool-graphql):
    New variable. --- gnu/packages/golang.scm | 24 ++++++++++++++++++++++++ 1
    file changed, 24 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 5217bc383d..d6e5494c79 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7715,3 +7715,27 @@ library to parse a [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

* gnu/packages/golang.scm (go-github-com-shurcool-graphql): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 5217bc383d..d6e5494c79 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7715,3 +7715,27 @@ library to parse and generate YAML data quickly and reliably.")
     (license (list license:expat
                    license:asl2.0))))
 
+(define-public go-github-com-shurcool-graphql
+  (package
+    (name "go-github-com-shurcool-graphql")
+    (version "0.0.0-20200928012149-18c5c3165e3a")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/shurcooL/graphql.git")
+             (commit (go-version->git-ref version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0psxc2q3qsh1lfag11m2gz54fzzvlss5znyf34aars94igsjywzx"))))
+    (build-system go-build-system)
+    (arguments
+     '(#:import-path "github.com/shurcooL/graphql"))
+    (native-inputs
+     `(("go-golang-org-x-net" ,go-golang-org-x-net)))
+    (home-page "https://github.com/shurcooL/graphql")
+    (synopsis "GraphQL client implementation")
+    (description "This package provides a GraphQL client implementation.")
+    (license license:expat)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 08:02:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 04:02:19 2021
Received: from localhost ([127.0.0.1]:56107 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRsHT-0007js-Cu
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:19 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54230
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lRsHR-0007iu-DE
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:17 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617264129;
 bh=+5009of87pbfvrQMRM7PEgCCUHQKWLmc+GqNMq8uy/Q=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=CX8XdQrZnhCMJycGoAsHJFEfw0N7oCLhx9vJrogrWyJRKu5T0dteukPf2dKHtgTvf
 cvhXTZSJoXykMYi4xb+VyGUVlNStfNQPSO9DOX7ZicYDNdWf6595tnkM4s4+LtlIfz
 Ri1WPm4iDgkR/BXmY6K5gBmiFBdSlqZjkxBgr37Q=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH 25/28] gnu: Add go-gopkg-in-yaml-v3.
In-Reply-To: <cover.1617262223.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <d00a03ff09ef4158003132f4e5d32f67bde1a93c.1617262223.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 10:02:09 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm (go-gopkg-in-yaml-v3): New
 variable.
 --- gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++ 1 file changed,
 26 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index ef0287ff29..5217bc383d 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7689,3 +7689,29 @@ GraphQL API v4. It [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-gopkg-in-yaml-v3): New variable.
    --- gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++ 1 file changed,
    26 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index ef0287ff29..5217bc383d 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7689,3 +7689,29 @@ GraphQL API v4. It [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

* gnu/packages/golang.scm (go-gopkg-in-yaml-v3): New variable.
---
 gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index ef0287ff29..5217bc383d 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7689,3 +7689,29 @@ GraphQL API v4.  It focuses on the following things:
 @end itemize")
     (license license:expat)))
 
+(define-public go-gopkg-in-yaml-v3
+  (package
+    (name "go-gopkg-in-yaml-v3")
+    (version "3.0.0-20210107192922-496545a6307b")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://gopkg.in/yaml.v3")
+               (commit (go-version->git-ref version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "06f4lnrp494wqaygv09dggr2dwf3z2bawqhnlnnwiamg5y787k4g"))))
+    (build-system go-build-system)
+    (arguments '(#:import-path "gopkg.in/yaml.v3"))
+    (native-inputs
+      `(("go-gopkg-in-check-v1" ,go-gopkg-in-check-v1)))
+    (home-page "https://gopkg.in/yaml.v3")
+    (synopsis "YAML support for the Go language")
+    (description "This library enables Go programs to comfortably encode and
+decode YAML values.  It is based on a pure Go port of the well-known libyaml C
+library to parse and generate YAML data quickly and reliably.")
+    (license (list license:expat
+                   license:asl2.0))))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 08:02:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 04:02:16 2021
Received: from localhost ([127.0.0.1]:56102 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRsHQ-0007jR-46
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:16 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54224
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lRsHO-0007iY-HR
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:14 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617264129;
 bh=c2/u6BUsME8GdBmXAU/wRDgSmlXHpoei6VMCbWsW8nw=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=f2BcRTn7LvUsgFKtzikGpDMulctLBTDcBbF4Kw7EmPrUwkt7K2zxlcyE1N1ctjKcM
 SLO56WNd6mLuqX6x+upQRt+YFJnitb+sbR1+sZFrg69Ug8nJZ5ysIiyH26qmrBjXc6
 YvZoD01lJnEtp4pF2cnsm+nYCdkG4tOUEATBhb4A=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH 24/28] gnu: Add go-github-com-shurcool-githubv4.
In-Reply-To: <cover.1617262223.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <c79c57948934fedf3e436710a94328000d1c2370.1617262223.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 10:02:08 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm (go-github-com-shurcool-githubv4):
 New variable. --- gnu/packages/golang.scm | 32
 ++++++++++++++++++++++++++++++++ 1 file changed,
 32 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 64a9a764be..ef0287ff29 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7657,3 +7657,35 @@ character or strin [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-shurcool-githubv4):
    New variable. --- gnu/packages/golang.scm | 32 ++++++++++++++++++++++++++++++++
    1 file changed, 32 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 64a9a764be..ef0287ff29 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7657,3 +7657,35 @@ character or strin [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

* gnu/packages/golang.scm (go-github-com-shurcool-githubv4): New variable.
---
 gnu/packages/golang.scm | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 64a9a764be..ef0287ff29 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7657,3 +7657,35 @@ character or string.")
 to @url{https://unicode.org/reports/tr29/,Unicode Standard Annex #29}.")
     (license license:expat)))
 
+(define-public go-github-com-shurcool-githubv4
+  (package
+    (name "go-github-com-shurcool-githubv4")
+    (version "0.0.0-20201206200315-234843c633fa")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/shurcooL/githubv4.git")
+               (commit (go-version->git-ref version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "1jmmjv95vcm9vl5zpvwv77pq3mhf2j2vxc7pj75yfniymp2dh5mi"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/shurcooL/githubv4"))
+    (native-inputs
+     `(("go-github-com-shurcooL-graphql" ,go-github-com-shurcool-graphql)
+       ("go-golang-org-x-oauth2" ,go-golang-org-x-oauth2)))
+    (home-page "https://github.com/shurcooL/githubv4")
+    (synopsis "Client library for accessing the GitHub GraphQL API v4")
+    (description "This package is a client library for accessing the GitHub
+GraphQL API v4.  It focuses on the following things:
+
+@itemize
+@item Friendly, simple and powerful API.
+@item Correctness, high performance and efficiency.
+@item Support for all of GitHub GraphQL API v4 via code generation from schema.
+@end itemize")
+    (license license:expat)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 08:02:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 04:02:15 2021
Received: from localhost ([127.0.0.1]:56100 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRsHO-0007jE-RT
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:15 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54216
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lRsHN-0007iR-Ux
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:14 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617264126;
 bh=S4GtL+ttA4hnn0+8Fu/76hzEegeoMu4DPlF83FYH5To=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=Gb9X8jLusTxY46u31GMOFdRUjpT6ctZ25fYi5glXudWWV0xEt7g38PeJltLv0Ps2d
 upFaxKh8kl4BvdbbMMAlspXkh/QQs1JyuTpSHHWRIDRYA/q34cYCXK0JDBWvgvupOc
 eQBVqI7Sw/N/4go13tFgCBZPfFrGqxvWedOwoy5Y=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH 23/28] gnu: Add go-github-com-rivo-uniseg.
In-Reply-To: <cover.1617262223.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <35ef7ed1d498b84881ba50ca2b9304642a784bbb.1617262223.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 10:02:06 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/golang.scm (go-github-com-rivo-uniseg): New
 variable. --- gnu/packages/golang.scm | 23 +++++++++++++++++++++++ 1 file
 changed, 23 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index a9ab18c77c..64a9a764be 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7634,3 +7634,26 @@ projects.") charac [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-rivo-uniseg): New
    variable. --- gnu/packages/golang.scm | 23 +++++++++++++++++++++++ 1 file
    changed, 23 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index a9ab18c77c..64a9a764be 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7634,3 +7634,26 @@ projects.") charac [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

* gnu/packages/golang.scm (go-github-com-rivo-uniseg): New variable.
---
 gnu/packages/golang.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index a9ab18c77c..64a9a764be 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7634,3 +7634,26 @@ projects.")
 character or string.")
     (license license:expat)))
 
+(define-public go-github-com-rivo-uniseg
+  (package
+    (name "go-github-com-rivo-uniseg")
+    (version "0.2.0")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/rivo/uniseg.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "0j7h22vfmjj562vr8gpsyrkrwp1pq9ayh5fylv24skxb467g9f0q"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/rivo/uniseg"))
+    (home-page "https://github.com/rivo/uniseg")
+    (synopsis "Unicode Text Segmentation for Go")
+    (description "This package implements Unicode Text Segmentation according
+to @url{https://unicode.org/reports/tr29/,Unicode Standard Annex #29}.")
+    (license license:expat)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 08:02:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 04:02:12 2021
Received: from localhost ([127.0.0.1]:56096 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRsHM-0007iw-Jw
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:12 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54210
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lRsHL-0007iJ-49
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:11 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617264123;
 bh=nzOxcv/w2w0M2ic37vxno890md0MRE0BZ+W1FtceZTo=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=I+v6Cay9i3ZpV08kBE10m0k4edb/JyTqXYpfKKzp2Chh6odFjH/I/6IVbF+3pnX+k
 QhPwd0emu7V3oxilmSHPdB+eXGgu+PGRVTwAv1M8VehrjW0BP0QiNEae8qKBaxj0za
 XvXG25Vf6XNI6a6ke8uKCzRD3SqoICi7UCKaRxbI=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH 22/28] gnu: Add go-github-com-mattn-go-runewidth.
In-Reply-To: <cover.1617262223.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <d285a0b99eaddb9c13e06db8445270cebcd46a3e.1617262223.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 10:02:03 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm (go-github-com-mattn-go-runewidth):
 New variable. --- gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
 1 file changed,
 26 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 3738e207b4..a9ab18c77c 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7608,3 +7608,29 @@ command written in [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-mattn-go-runewidth):
    New variable. --- gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
    1 file changed, 26 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 3738e207b4..a9ab18c77c 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7608,3 +7608,29 @@ command written in [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

* gnu/packages/golang.scm (go-github-com-mattn-go-runewidth): New variable.
---
 gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 3738e207b4..a9ab18c77c 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7608,3 +7608,29 @@ command written in Go language.  It is also embedable as a library to other Go
 projects.")
     (license license:expat)))
 
+(define-public go-github-com-mattn-go-runewidth
+  (package
+    (name "go-github-com-mattn-go-runewidth")
+    (version "0.0.10")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/mattn/go-runewidth.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "0jh9552ppqvkdfni7x623n0x5mbiaqqhjhmr0zkh28x56k4ysii4"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/mattn/go-runewidth"))
+    (native-inputs
+      `(("go-github-com-rivo-uniseg"
+         ,go-github-com-rivo-uniseg)))
+    (home-page "https://github.com/mattn/go-runewidth")
+    (synopsis "Functions to get fixed width of the character or string")
+    (description "This package provides functions to get fixed width of the
+character or string.")
+    (license license:expat)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 08:02:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 04:02:10 2021
Received: from localhost ([127.0.0.1]:56093 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRsHK-0007ic-9O
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:10 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54204
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lRsHI-0007iF-Gq
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:08 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617264120;
 bh=c/4jbGzRIJ+C3vbwqhn2XNbM+uTS+9PwBIt7eP7EZv0=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=QBmjLQpi8lfddWoOou5UxUcsulB7KMS7IX7nJQNRLYVQKuPFy/uIu7DT34AGIhBBu
 hCdFV+TBDzwKaYZxzK1vBa+3II+RkjUWVMxihzu81xaQHURcm1FBHnVUxlhRteyIWC
 r0LI510ES/hzzNYmWqoVmnl+0MxHekK0nNhePjRg=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH 21/28] gnu: Add go-github-com-itchyny-gojq.
In-Reply-To: <cover.1617262223.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <d324e9bc2eaf452edcade8c2c466e371d22d1171.1617262223.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 10:02:00 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm (go-github-com-itchyny-gojq): New
 variable. --- gnu/packages/golang.scm | 38
 ++++++++++++++++++++++++++++++++++++++ 1 file changed,
 38 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 285622c5a0..3738e207b4 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7570,3 +7570,41 @@ way of specifying [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-itchyny-gojq): New
    variable. --- gnu/packages/golang.scm | 38 ++++++++++++++++++++++++++++++++++++++
    1 file changed, 38 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 285622c5a0..3738e207b4 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7570,3 +7570,41 @@ way of specifying [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

* gnu/packages/golang.scm (go-github-com-itchyny-gojq): New variable.
---
 gnu/packages/golang.scm | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 285622c5a0..3738e207b4 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7570,3 +7570,41 @@ way of specifying command line options.")
 date time strings.")
     (license license:expat)))
 
+(define-public go-github-com-itchyny-gojq
+  (package
+    (name "go-github-com-itchyny-gojq")
+    (version "0.12.2")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/itchyny/gojq.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "1pxm341sgqkscwifpxlkvchz8ix3wivp80p59dv257kaa9diymgz"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/itchyny/gojq"))
+    (native-inputs
+      `(("go-gopkg-in-yaml-v3" ,go-gopkg-in-yaml-v3)
+        ("go-golang-org-x-sys" ,go-golang-org-x-sys)
+        ("go-github-com-mattn-go-runewidth"
+         ,go-github-com-mattn-go-runewidth)
+        ("go-github-com-mattn-go-isatty"
+         ,go-github-com-mattn-go-isatty)
+        ("go-github-com-itchyny-go-flags"
+         ,go-github-com-itchyny-go-flags)
+        ("go-github-com-google-go-cmp-cmp"
+         ,go-github-com-google-go-cmp-cmp)))
+    (propagated-inputs
+     `(("go-github-com-itchyny-timefmt-go"
+        ,go-github-com-itchyny-timefmt-go)))
+    (home-page "https://github.com/itchyny/gojq")
+    (synopsis "Pure Go implementation of jq")
+    (description "This package provides an implementation of @command{jq}
+command written in Go language.  It is also embedable as a library to other Go
+projects.")
+    (license license:expat)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at 47539 <at> debbugs.gnu.org:


Received: (at 47539) by debbugs.gnu.org; 1 Apr 2021 08:02:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 04:02:10 2021
Received: from localhost ([127.0.0.1]:56091 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRsHK-0007iZ-1k
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:10 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54198
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lRsHH-0007hu-Ow
 for 47539 <at> debbugs.gnu.org; Thu, 01 Apr 2021 04:02:08 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617264118;
 bh=ERRNdaatAOs090TIz/SXPpxlUPKVUSyFTuKuhi+isJs=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=Eyw8d2X6lfCkyfZNfRZIUkRipFQmSd4f6S1t7IFOFf+3JwFZj1rRG0nDJuOqc59is
 ZlbPne63CAIkrmHVNpbSuI8ZgWz3SF5fkMmjrnmBiPKv6oakOong5jb3ZGa8yaYoFg
 ZL1b6o191Zu02nL4SCeVAk3Ga5BIAQ9BCAXNHR4k=
To: 47539 <at> debbugs.gnu.org
Subject: [PATCH 20/28] gnu: Add go-github-com-itchyny-timefmt-go.
In-Reply-To: <cover.1617262223.git.public@HIDDEN>
References: <cover.1617262223.git.public@HIDDEN>
Message-Id: <f297ab1510f359b26aa194223c0f3a123a93c69e.1617262223.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 10:01:57 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm (go-github-com-itchyny-timefmt-go):
 New variable. --- gnu/packages/golang.scm | 24 ++++++++++++++++++++++++ 1
 file changed,
 24 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index 2750443484..285622c5a0 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -7546,3 +7546,27 @@ provides more opti [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 47539
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-github-com-itchyny-timefmt-go):
    New variable. --- gnu/packages/golang.scm | 24 ++++++++++++++++++++++++ 1
    file changed, 24 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index 2750443484..285622c5a0 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -7546,3 +7546,27 @@ provides more opti [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

* gnu/packages/golang.scm (go-github-com-itchyny-timefmt-go): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 2750443484..285622c5a0 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7546,3 +7546,27 @@ provides more options and uses reflection to provide a convenient and succinct
 way of specifying command line options.")
     (license license:bsd-3)))
 
+(define-public go-github-com-itchyny-timefmt-go
+  (package
+    (name "go-github-com-itchyny-timefmt-go")
+    (version "0.1.2")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/itchyny/timefmt-go.git")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "1hfpvmbmzp5zbzz84p030jzd00jclnf4zr16f9r5bbq7xlhncj0z"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/itchyny/timefmt-go"))
+    (home-page
+      "https://github.com/itchyny/timefmt-go")
+    (synopsis "Efficient time formatting library for Go")
+    (description "This package provides functions for formatting and parsing
+date time strings.")
+    (license license:expat)))
+
-- 
2.31.1






Information forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Apr 2021 07:51:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 03:51:42 2021
Received: from localhost ([127.0.0.1]:56037 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRs7C-0007Ml-4V
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 03:51:42 -0400
Received: from lists.gnu.org ([209.51.188.17]:39330)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lRs7B-0007Mf-BD
 for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 03:51:41 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:57552)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <public@HIDDEN>)
 id 1lRs7B-0008QI-2W
 for guix-patches@HIDDEN; Thu, 01 Apr 2021 03:51:41 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:45688
 helo=mail.yoctocell.xyz)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <public@HIDDEN>)
 id 1lRs78-0001qT-5b
 for guix-patches@HIDDEN; Thu, 01 Apr 2021 03:51:40 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1617263488;
 bh=EUMrhxGbCGLsThaA7OcNSu+vxCvD+o5PeCbH+7MJ328=;
 h=From:To:Subject:Date;
 b=vGSKQKz9emlKcNVHCsTmOiyi7YZpSF6E92Vnt2mZnlLDzhtQEEKVizROA/W6qKSQ5
 8kxaMyMbG7lY1Gukyb4OKlIn8P8M6xpkeKn25Cw8WPkOcI+ZUt5Bjx8CHwvziy11s6
 rtx/zMiSivwKsgQ3v7xN1jYGoL/ueQzhxOocRYWI=
To: guix-patches@HIDDEN
Subject: [PATCH 00/28] Add gh and dependencies
Message-Id: <cover.1617262223.git.public@HIDDEN>
Date: Thu, 01 Apr 2021 09:51:26 +0200
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=87.96.130.155; envelope-from=public@HIDDEN;
 helo=mail.yoctocell.xyz
X-Spam_score_int: 14
X-Spam_score: 1.4
X-Spam_bar: +
X-Spam_report: (1.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FROM_SUSPICIOUS_NTLD=0.499,
 FROM_SUSPICIOUS_NTLD_FP=0.001, PDS_OTHER_BAD_TLD=1.999, RDNS_DYNAMIC=0.982,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  This patchset adds the 'gh' package,
 a CLI interface to GitHub.
 The Go importer did most of the work. :) Some things to note: - When
 building'gh', 
 I couldn't get 'go-github-com-charmbracelet-glamour' to build without moving
 some native-inputs to propagated-inputs, though,
 if I was only building 'go-github-com-charmbracelet-g [...] 
 Content analysis details:   (1.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [209.51.188.17 listed in wl.mailspike.net]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.0 FROM_SUSPICIOUS_NTLD_FP From abused NTLD
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

This patchset adds the 'gh' package, a CLI interface to GitHub.  The Go
importer did most of the work. :)

Some things to note:

- When building'gh', I couldn't get
  'go-github-com-charmbracelet-glamour' to build without moving some
  native-inputs to propagated-inputs, though, if I was only building
  'go-github-com-charmbracelet-glamour' it would build without moving
  things to propagated-inputs.  I am not sure why this happens.

- I found that (gnu packages syncthing) contained quite a few Go
  packages, I think it would make sense to move those packages to (gnu
  packages golang), and move the Syncthing package to (gnu packages
  sync).  This would be done in a separate commit though.

- The patch marked with 'D' adds a package which has been deprecated by
  upstream, but it is still needed by one of the packages that 'gh'
  depend on.  I have marked it as a hidden package, let me know if this
  is the right decision.

- The patch marked with 'W' adds a package which is needed by 'gh', but
  only used on Windows.  It is still Free Software (BSD-2), but I have
  also marked it as hidden.

Xinglu Chen (28):
  gnu: go-github-com-charmbracelet-glamour: Move some inputs to
    propagated-inputs.
  gnu: Add go-github-com-hinshun-vt10x.
  gnu: Add go-github-com-creack-pty.
D gnu: Add go-github-com-kr-pty.
  gnu: Add go-github-com-netflix-go-expect.
  gnu: Add go-github-com-alecaivazis-survey-v2.
  gnu: Add go-github-com-makenowjust-heredoc.
  gnu: Add go-github-com-briandowns-spinner.
  gnu: Add go-github-com-cli-browser.
  gnu: Add go-github-com-cli-oauth.
W gnu: Add go-github-com-cli-safeexec.
  gnu: Add go-github-com-russross-blackfriday-v2.
  gnu: Add go-github-com-shurcool-sanitized-anchor-name.
  gnu: Add go-github-com-cpuguy83-go-md2man-v2.
  gnu: Add go-github-com-enescakir-emoji.
  gnu: Add go-github-com-gabriel-vasile-mimetype.
  gnu: Add go-github-com-google-shlex.
  gnu: Add go-github-com-henvic-httpretty.
  gnu: Add go-github-com-itchyny-go-flags.
  gnu: Add go-github-com-itchyny-timefmt-go.
  gnu: Add go-github-com-itchyny-gojq.
  gnu: Add go-github-com-mattn-go-runewidth.
  gnu: Add go-github-com-rivo-uniseg.
  gnu: Add go-github-com-shurcool-githubv4.
  gnu: Add go-gopkg-in-yaml-v3.
  gnu: Add go-github-com-shurcool-graphql.
  gnu: Add go-github-com-cli-shurcool-graphql.
  gnu: Add gh.

 gnu/packages/golang.scm          | 745 ++++++++++++++++++++++++++++++-
 gnu/packages/version-control.scm |  92 ++++
 2 files changed, 826 insertions(+), 11 deletions(-)


base-commit: 94c77c9a0f7a1a4d7665d8fe566547016d2588d9
-- 
2.31.1






Acknowledgement sent to Xinglu Chen <public@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#47539; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 19 Apr 2021 13:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.